#
# spec file for package autoyast2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           autoyast2
Version:        3.2.31
Release:        9.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        autoyast2-%{version}.tar.bz2

Source1:        autoyast_en_html.tar.bz2
BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 3.1.15
# control.rng
BuildRequires:  yast2-installation-control
# xmllint
BuildRequires:  libxml2-tools
# xsltproc for AutoinstClass
BuildRequires:  libxslt
BuildRequires:  yast2
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)
# FileSystems.read_default_subvol_from_target
BuildRequires:  yast2-packager
BuildRequires:  yast2-services-manager
BuildRequires:  yast2-slp
BuildRequires:  yast2-storage >= 3.2.0
BuildRequires:  yast2-transfer
BuildRequires:  yast2-update >= 3.1.36
BuildRequires:  yast2-xml

# %%{_unitdir} macro definition is in a separate package since 13.1
%if 0%{?suse_version} >= 1310
BuildRequires:  systemd-rpm-macros
%else
BuildRequires:  systemd
%endif

Requires:       autoyast2-installation = %{version}
Requires:       libxslt
Requires:       yast2
Requires:       yast2 >= 3.1.183
Requires:       yast2-core
Requires:       yast2-country >= 3.1.13
Requires:       yast2-network >= 3.1.145
Requires:       yast2-schema
Requires:       yast2-storage >= 3.2.0
Requires:       yast2-transfer >= 2.21.0
Requires:       yast2-xml
Conflicts:      yast2-installation < 3.1.166

Provides:       yast2-config-autoinst
Provides:       yast2-module-autoinst
Obsoletes:      yast2-config-autoinst
Obsoletes:      yast2-module-autoinst
Provides:       yast2-lib-autoinst
Obsoletes:      yast2-lib-autoinst

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Automated Installation
License:        GPL-2.0-only
Group:          System/YaST

%description
This package is intended for management of the control files and the
AutoYaST2 configurations. This system should only be used by
experienced system administrators. Warning: AutoYaST2 performs the
installation without any user intervention, warnings, or confirmations
(unless specified otherwise in the control file).

This file contains YaST2-independent files needed to create
installation sources.

%package installation
Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Auto Installation Modules
# API for Disabled Modules (ProductControl)
Group:          System/YaST
Requires:       yast2 >= 2.16.36
# After API cleanup
Requires:       yast2
Requires:       yast2-bootloader
Requires:       yast2-core
Requires:       yast2-country
Requires:       yast2-ncurses
# Packages.default_patterns
Requires:       yast2-packager >= 3.1.10
# ServicesManagerTargetClass::BaseTargets
Requires:       yast2-services-manager >= 3.1.10
Requires:       yast2-slp
Requires:       yast2-storage >= 3.1.59
Requires:       yast2-transfer >= 2.21.0
Requires:       yast2-update >= 3.1.36
Requires:       yast2-xml
# pkgGpgCheck callback
Requires:       yast2-pkg-bindings >= 3.1.31
Provides:       yast2-trans-autoinst
Obsoletes:      yast2-trans-autoinst

%description installation
This package performs auto-installation relying on a control file
generated with the autoyast2 package.

%prep
%setup -n autoyast2-%{version}

%build
%yast_build

%install
%yast_install

# Do not *blindly* remove the suse_update_desktop_file calls here. It is
# different from the code in the yast_install macro.
for d in $RPM_BUILD_ROOT/usr/share/autoinstall/modules/*.desktop ; do
    %suse_update_desktop_file $d
done

# Class conf
install -d -m 700 $RPM_BUILD_ROOT/etc/autoinstall
# Installation files
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/scripts
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/init.d
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/logs
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/files
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/cache

# Repository
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/templates
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/rules
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/classes
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/autoconf
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/tmp

# Systemd Stuff
mkdir -p $RPM_BUILD_ROOT/%{_unitdir}/
install -m 644 scripts/autoyast-initscripts.service $RPM_BUILD_ROOT/%{_unitdir}/

# Documentation
install -d -m 755 $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/autoyast2/html
tar xvpfC %{SOURCE1} $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/autoyast2/html
mv $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/autoyast2/html/autoyast/* $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/autoyast2/html/
rmdir $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/autoyast2/html/autoyast

%post
%{fillup_only -n autoinstall}

%files
%defattr(-,root,root)
%dir /etc/autoinstall
%dir %{yast_yncludedir}/autoinstall
%dir /var/lib/autoinstall/repository
%dir /var/lib/autoinstall/repository/templates
%dir /var/lib/autoinstall/repository/rules
%dir /var/lib/autoinstall/repository/classes
%dir /var/lib/autoinstall/tmp
%doc %{_prefix}/share/doc/packages/autoyast2

%dir %yast_desktopdir
%{yast_desktopdir}/autoyast.desktop
%{yast_desktopdir}/clone_system.desktop
/usr/share/autoinstall/modules/*.desktop
%dir %{yast_yncludedir}
%{yast_yncludedir}/autoinstall/classes.rb
%{yast_yncludedir}/autoinstall/conftree.rb
%{yast_yncludedir}/autoinstall/dialogs.rb
%{yast_yncludedir}/autoinstall/script_dialogs.rb
%{yast_yncludedir}/autoinstall/general_dialogs.rb
%{yast_yncludedir}/autoinstall/wizards.rb
%{yast_yncludedir}/autoinstall/helps.rb
%dir %{yast_schemadir}
%dir %{yast_schemadir}/autoyast
%dir %{yast_schemadir}/autoyast/rnc
%{yast_schemadir}/autoyast/rnc/*.rnc

%dir %{yast_clientdir}
%{yast_clientdir}/general_auto.rb
%{yast_clientdir}/report_auto.rb
%{yast_clientdir}/classes_auto.rb
%{yast_clientdir}/scripts_auto.rb
%{yast_clientdir}/software_auto.rb
%{yast_clientdir}/storage_auto.rb
%{yast_clientdir}/autoyast.rb
%{yast_clientdir}/ayast_setup.rb

%dir %{yast_scrconfdir}
%{yast_scrconfdir}/ksimport.scr

%dir %{yast_moduledir}
%{yast_moduledir}/AutoinstClass.rb
%{yast_moduledir}/Kickstart.rb
%dir %{yast_agentdir}
%{yast_agentdir}/ag_ksimport

# additional files

/var/adm/fillup-templates/sysconfig.autoinstall

%files installation
%defattr(-,root,root)
%dir %{yast_scrconfdir}
%{yast_scrconfdir}/autoinstall.scr
%{yast_scrconfdir}/cfg_autoinstall.scr
# DTD files
%dir /usr/share/autoinstall
#%dir /usr/share/autoinstall/dtd
%dir /usr/share/autoinstall/modules
#/usr/share/autoinstall/dtd/*

# systemd service file
%{_unitdir}/autoyast-initscripts.service

%dir /usr/share/autoinstall/xslt
/usr/share/autoinstall/xslt/merge.xslt
# config file

%dir %{yast_moduledir}
%{yast_moduledir}/AutoinstClone.rb
%dir %{yast_yncludedir}/autoinstall
%{yast_yncludedir}/autoinstall/autopart.rb
%{yast_yncludedir}/autoinstall/io.rb
%{yast_yncludedir}/autoinstall/autoinst_dialogs.rb
%{yast_yncludedir}/autoinstall/AdvancedPartitionDialog.rb
%{yast_yncludedir}/autoinstall/DriveDialog.rb
%{yast_yncludedir}/autoinstall/PartitionDialog.rb
%{yast_yncludedir}/autoinstall/StorageDialog.rb
%{yast_yncludedir}/autoinstall/VolgroupDialog.rb
%{yast_yncludedir}/autoinstall/common.rb
%{yast_yncludedir}/autoinstall/tree.rb
%{yast_yncludedir}/autoinstall/types.rb

%dir %{yast_controldir}
%{yast_controldir}/*.xml

%{yast_moduledir}/AutoInstall.rb
%{yast_moduledir}/AutoinstScripts.rb
%{yast_moduledir}/AutoinstGeneral.rb
%{yast_moduledir}/AutoinstImage.rb
%{yast_moduledir}/Y2ModuleConfig.rb
%{yast_moduledir}/Profile.rb
%{yast_moduledir}/AutoinstFile.rb
%{yast_moduledir}/AutoinstConfig.rb
%{yast_moduledir}/AutoinstSoftware.rb
%{yast_moduledir}/AutoinstLVM.rb
%{yast_moduledir}/AutoinstRAID.rb
%{yast_moduledir}/AutoinstStorage.rb
%{yast_moduledir}/AutoInstallRules.rb
%{yast_moduledir}/ProfileLocation.rb
%{yast_moduledir}/AutoinstCommon.rb
%{yast_moduledir}/AutoinstDrive.rb
%{yast_moduledir}/AutoinstPartPlan.rb
%{yast_moduledir}/AutoinstPartition.rb
%{yast_moduledir}/AutoinstFunctions.rb

#clients
%{yast_clientdir}/inst_autoinit.rb
%{yast_clientdir}/inst_autoimage.rb
%{yast_clientdir}/inst_autosetup.rb
%{yast_clientdir}/inst_autoconfigure.rb
%{yast_clientdir}/inst_autopost.rb
%{yast_clientdir}/files_auto.rb
%{yast_clientdir}/autoinst_test_clone.rb
%{yast_clientdir}/autoinst_test_stage.rb
%{yast_clientdir}/autoinst_scripts1_finish.rb
%{yast_clientdir}/autoinst_scripts2_finish.rb
%{yast_clientdir}/ayast_probe.rb
%{yast_clientdir}/inst_autosetup_upgrade.rb
%{yast_clientdir}/inst_store_upgrade_software.rb
%{yast_clientdir}/clone_system.rb

%{yast_yncludedir}/autoinstall/xml.rb
%{yast_yncludedir}/autoinstall/ask.rb

%dir %{yast_libdir}/autoinstall
%{yast_libdir}/autoinstall/*.rb

# scripts
%{_prefix}/lib/YaST2/bin/fetch_image.sh
%{_prefix}/lib/YaST2/bin/autoyast-initscripts.sh

%dir /var/adm/autoinstall/
%dir /var/adm/autoinstall/scripts
%dir /var/adm/autoinstall/init.d
%dir /var/adm/autoinstall/logs
%dir /var/adm/autoinstall/files
%dir /var/adm/autoinstall/cache
%dir /var/lib/autoinstall
%dir /var/lib/autoinstall/autoconf

%changelog
* Wed Sep 19 2018 schubi@suse.de
- Handle DASD or zFCP devices even when the profile is not in a
  remote location (bsc#1108829).
- 3.2.31
* Tue Aug 28 2018 igonzalezsosa@suse.com
- Always export the partition_type for MS-DOS partition tables
  (bsc#1091415).
- 3.2.30
* Thu Feb  1 2018 schubi@suse.de
- Report packages which cannot be select for installation
  (except those packages not included in the AutoYaST profile)
  (bnc#1077292)
- 3.2.29
* Fri Jan 26 2018 schubi@suse.de
- Reporting packages which cannot be selected for installation.
  (bnc#1077292)
- 3.2.28
* Wed Oct 18 2017 igonzalezsosa@suse.com
- When using Btrfs but without subvolumes, export an empty list
  instead of removing them from the profile (related to
  bsc#1059617)
- 3.2.27
* Mon Oct  9 2017 schubi@suse.de
- Adding default subvolumes to root partition only if the user
  has not defined any root partition in the AY configuration file.
  (bnc#1059617)
- 3.2.26
* Wed Oct  4 2017 knut.anderssen@suse.com
- AutoinstConfig: added network_before_proposal flag that will be
  enable if the network is configured during the first stage.
  (bsc#1054400)
- 3.2.25
* Tue Sep 19 2017 schubi@suse.de
- ayast_setup: Restarting autoyast-initscripts.service in order
  to run init-scripts too. (additional fix for bnc#1057597)
- 3.2.24
* Mon Sep 18 2017 schubi@suse.de
- LVM installation. Shrinking needed disks size automatically in
  order to handle rounding inaccuracies. (bnc#1057597)
- 3.2.23
* Wed Aug 23 2017 igonzalezsosa@suse.com
- Handle packages that are missing a PGP signature although
  digests are valid (bsc#1054969)
- 3.2.22
* Tue Aug 15 2017 schubi@suse.de
- AY runs in installed system: Writing init scripts again
  to /var/adm/autoinstall/init.d in order to initilaize init
  scripts correctly. This is needed for AY runs which do not
  have an first installation stage (e.g. AY run in KIWI,
  ayast_setup). (bnc#1052145)
- 3.2.21
* Tue Aug  8 2017 schubi@suse.de
- Classes/rules will be ignored: Due to self-update, the evaluation
  of classes/rules will be called twice. So we have to initialize
  the stack for each run again. (bnc#1051483)
- 3.2.20
* Tue Aug  1 2017 schubi@suse.de
- Saving ask-scripts and corresponding log files
  to /var/adm/autoinstall. (bnc#1049473)
- 3.2.19
* Thu Jul 13 2017 schubi@suse.de
- Crash while writing settings via the menue "File/Apply Profile
  to this System" in AutoYaST configuration module:
  As we are switching to "autoinstallation" mode and accessing to
  the target system we have to set StorageDevices flag disks_valid
  to true.  So InitLibstorage can scan valid target disks.
  (bnc#1047809)
- 3.2.18
* Thu Jul  6 2017 schubi@suse.de
- AutoYaST configuration module; Crash while writing settings to
  the system:
  As we are switching to "normal" mode and accessing to the target
  system we have to set StorageDevices flag disks_valid to true.
  So InitLibstorage can scan valid target disks. (bnc#1046738)
- 3.2.17
* Fri Jun  9 2017 schubi@suse.de
- Report shrinked partitions if there is not enough space.
  (bnc#1039528)
- 3.2.16
* Thu May 18 2017 schubi@suse.de
- clone system: Checking if snapshots have been enabled.
  (bnc#1039268)
- 3.2.15
* Thu Apr 13 2017 schubi@suse.de
- Moved configuration management before software selection in
  order to select packages which are needed for CM. (FATE#319830)
- 3.2.14
* Thu Apr  6 2017 igonzalezsosa@suse.com
- Fix subvolumes schema definition (bsc#1013047)
- 3.2.13
* Thu Apr  6 2017 mfilka@suse.com
- bnc#1026027
  - removed dependency on insserv
- 3.2.12
* Wed Apr  5 2017 schubi@suse.de
- Added configuration-management to first installation step.
  (FATE#319830)
- 3.2.11
* Tue Mar  7 2017 schubi@suse.de
- Update: Product selection will be done by Packages.SelectProduct
  now (bnc#1014861).
- 3.2.10
* Wed Feb 15 2017 schubi@suse.de
- Moved services-manager to first installation stage (FATE#321738).
- 3.2.9
* Wed Jan 25 2017 igonzalezsosa@suse.com
- Add an option to disable the self-update feature through the
  AutoYaST profile (FATE#319716)
- 3.2.8
* Mon Jan 16 2017 schubi@suse.de
- Cloning Software: install_recommended can be set by the
  control.xml file (clone_install_recommended_default)
  Default is true. (Fate#321764)
- 3.2.7
* Thu Jan  5 2017 lslezak@suse.cz
- Fixed tests to pass with the latest yast2-core and
  yast2-ruby-bindings packages (related to the bsc#932331 fix)
- 3.2.6
* Wed Dec 14 2016 schubi@suse.de
- Moved post-scripts download from second-stage to first-stage.
  (bnc#1014859)
- 3.2.5
* Wed Nov 30 2016 igonzalezsosa@suse.com
- If Btrfs subvolumes are not specified, the default set
  is created (bsc#1012328)
* Tue Nov 22 2016 igonzalezsosa@suse.com
- Fix building on s390x (bsc#1011489)
- 3.2.4
* Fri Nov 18 2016 igonzalezsosa@suse.com
- Do not crash when services manager configuration is missing
  (related to bsc#887115)
- 3.2.3
* Wed Nov 16 2016 igonzalezsosa@suse.com
- Hiding a module in its .desktop file (Hidden=true) won't prevent
  it from being cloned anymore (bsc#1008301)
- Add support to specify resource aliases using the key
  X-SuSE-YaST-AutoInstResourceAliases in desktop files (related
  to bsc#887115)
- 3.2.2
* Wed Nov 16 2016 schubi@suse.de
- Do not check certificate for images which have been created by
  the user/customer. Found while testing bnc#1009023.
- 3.2.1
* Mon Oct 24 2016 igonzalezsosa@suse.com
- Add support to enable copy-on-write for Btrfs subvolumes
  (FATE#320342)
- Add support to omit the Btrfs default subvolume name
  (FATE#317775)
- 3.2.0
* Fri Sep 30 2016 schubi@suse.de
- Adding missed desktop file for "clone_system" in order to show
  it in the control center and command line calls.
  (bnc#985621)
- 3.1.152
* Wed Sep 14 2016 schubi@suse.de
- Adding an missing PREP partition for PPC, BUT not for
  Power8 system (powerNV). PowerNV do not have PREP partitions
  and do not need any because they do not call grub2-install
  (bnc#989392).
- 3.1.151
* Wed Sep  7 2016 igonzalezsosa@suse.com
- Fix IP detection in AutoYaST installation rules
  in order to find the correct profile when "ip route"
  mentions "metric" (bnc#997548).
- 3.1.150
* Fri Aug 26 2016 kanderssen@suse.com
- Profile Location: Use Report instead of Popup to not block
  AutoYast if not configured to. (bnc#988949)
- 3.1.149
* Thu Aug 25 2016 schubi@suse.de
- Fixed: Setting timeout for error popups has not been possible.
  (bnc#988949)
- 3.1.148
* Wed Aug 17 2016 schubi@suse.de
- Improved logging for broken script descriptions.
  Still a part of bnc#986049.
- 3.1.147
* Fri Aug 12 2016 schubi@suse.de
- Cloning devices: Devices which are not needed for the
  installation will be ignored explicitly in the "skip_list".
  (bnc#989392)
- 3.1.146
* Thu Aug 11 2016 schubi@suse.de
- Added "confirm_base_product_license" to rnc file.
  (bnc#992535)
- 3.1.145
* Fri Aug  5 2016 locilka@suse.com
- Reintroduced autoyast=usb as a valid URL to AutoYaST profile
  (bsc#987858)
- 3.1.144
* Tue Aug  2 2016 schubi@suse.de
- Added missed flag "install_recommended" in software section.
  (bnc#990494)
- 3.1.143
* Fri Jul 29 2016 locilka@suse.com
- Added new [Stop] button for <ask> dialogs with timeout. The
  button shows the current time in seconds till the automatic
  timeout (bsc#990114).
- More possible user actions can now stop the execution to prevent
  from timeout (bsc#990114).
- 3.1.142
* Mon Jul 25 2016 schubi@suse.de
- Check if AutoYaST "script" elements are hashes.
  Other entries will be ignored. (bnc#986049)
- 3.1.141
* Thu Jul 14 2016 schubi@suse.de
- Exporting NFS root partition correctly. (bnc#986124)
- 3.1.140
* Wed Jul 13 2016 schubi@suse.de
- Moved ssh_import AutoYaST schema file to yast2-installation
  package.
  This is a part of Fate#319624.
- 3.1.139
* Mon Jul 11 2016 schubi@suse.de
- Adapt docu to new AutoYaST developer docu.
- 3.1.138
* Wed Jul  6 2016 schubi@suse.de
- The entry "kexec_reboot" in the Product description can be set
  by the AutoYaST configuration setting (general/forceboot) and should
  not be reset by any other Product description file.
  Fix: Set it again after reading a new Product description.
  (bnc#981434)
- 3.1.137
* Wed Jul  6 2016 schubi@suse.de
- While AutoYaST installation the user can change the path of the
  AutoYaST configuration file. Fix: This path will be updated in
  /etc/install.inf too.
  (bnc#963487)
- 3.1.136
* Tue Jul  5 2016 schubi@suse.de
- System shutdown: Removed "autoyast" service shutdown.
  It does not exist anymore. (bnc#986798)
- 3.1.135
* Tue Jun 28 2016 jreidinger@suse.com
- Speed up installation (bnc#986649)
- 3.1.134
* Tue Jun 21 2016 igonzalezsosa@suse.com
- Consider AutoYaST keep_install_network as set to 'true'
  if it's not specified (bsc#984146)
- Restore the keep_install_network default behavior present
  in SLE 12 SP1 and openSUSE Leap 42.1
- 3.1.133
* Mon Jun 20 2016 schubi@suse.de
- Fixing typo while reporting not supported modules.
  (part of bnc#955878)
- 3.1.132
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Rename schema definition regarding SSH keys/configuration
  so yast2-schema can find it correctly (fate#319624)
- 3.1.131
* Fri Jun  3 2016 igonzalezsosa@suse.com
- Fix AutoYaST2 schema regarding SSH keys/configuration import
  feature (fate#319624)
- Stop generating autodocs (fate#320356)
- 3.1.130
* Wed May 25 2016 schubi@suse.de
- AutoYaST support for ssh_import module.
  Fate#319624
- 3.1.129
* Thu May 19 2016 schubi@suse.de
- Unsupported sections will be now reported in first installation
  stage. Reducing log level to warning.
  (Additional patch for bnc#955878)
- 3.1.128
* Wed May 18 2016 schubi@suse.de
- Resetting package selection of previous runs. This is needed
  because it could be that additional repositories are available
  meanwhile. (bnc#979691)
- 3.1.127
* Mon May  2 2016 schubi@suse.de
- Media-based AutoUpgrade case for feature: No Recommends in
  * -release RPMs (FATE#320199)
- 3.1.126
* Wed Apr 20 2016 schubi@suse.de
- Upgrade: Removed obsolete bootloader stuff.
  (bnc#976312)
- 3.1.125
* Tue Apr 19 2016 schubi@suse.de
- Removed obsolete bootloader stuff.
  (related to FATE#317701)
- 3.1.124
* Fri Apr 15 2016 lslezak@suse.cz
- Updated schema - added optional URL for the installer
  self update repository ("general" -> "self_update_url" node)
  (FATE#319716)
- 3.1.123
* Wed Apr 13 2016 schubi@suse.de
- Remove unused import of dropped BootCommon package.
  (related to FATE#317701)
- 3.1.122
* Wed Apr  6 2016 mfilka@suse.com
- Removed calls of dropped LanUdevAuto module (yast2-network)
  (bnc#955217, bnc#956605)
- 3.1.121
* Fri Apr  1 2016 schubi@suse.de
- Moved call "uptime" to yast2 package. Cleanup for bnc#956730.
- 3.1.120
* Thu Mar 10 2016 igonzalezsosa@suse.com
- Evaluate the correct domain, network, product and product version
  when applying rules (bnc#963137).
- 3.1.119
* Wed Mar  9 2016 igonzalezsosa@suse.com
- Check uptime instead of system time while waiting for systemd
  services to be restarted (bsc#956730)
- 3.1.118
* Thu Feb 25 2016 schubi@suse.de
- Fixed crash if the general/mode section has not been defined.
  (bnc#968080)
- 3.1.117
* Tue Feb 23 2016 schubi@suse.de
- As network configuration will be moved to first installation
  stage and wickedd should not be restarted in the second stage,
  all wickedd and network services will not be restarted at all
  by AutoYaST.
  (bnc#944349,  bnc#955260)
- 3.1.116
* Wed Feb 17 2016 mvidner@suse.com
- Moved the body of AutoinstallIoInclude#Get to yast2-update
  (FATE#316796).
- 3.1.115
* Thu Feb 11 2016 schubi@suse.de
- Confirming base product license. This can be defined by the flag
  <confirm_base_product_license> in the general/mode section.
  Confirming licenses of add-on products can be defined for each
  product by the flag <confirm_license> in the add-on product
  description.
  (Fate#318945)
- 3.1.114
* Fri Jan 29 2016 igonzalezsosa@suse.com
- "haspcmcia" method is removed from the AutoInstallRules API
  (bnc#964151)
* Wed Jan 20 2016 schubi@suse.de
- LVM: taking care about "auto" option --> switching to "max".
  (bnc#962034)
- 3.1.113
* Tue Jan 19 2016 schubi@suse.de
- Fixed rules.xml : OR operator is interpreted as AND.
  (bnc#961941)
- 3.1.112
* Tue Jan 19 2016 igonzalezsosa@suse.com
- Fix wrong warning message about the 'init' section
  not being processed (bsc#962526)
* Fri Jan 15 2016 schubi@suse.de
- Installation with "autoyast=default". Fixed nil exception error.
  (bnc#959723)
- 3.1.111
* Thu Jan 14 2016 schubi@suse.de
- Fixed init scripts which have been defined inside an
  AutoYaST configuration file. (bnc#961320)
- 3.1.110
* Wed Jan 13 2016 igonzalezsosa@suse.com
- Fix validation of AutoYaST profiles (bsc#954412)
- 3.1.109
* Tue Jan 12 2016 schubi@suse.de
- Downloading init scripts to /mnt during first installation stage.
  (bnc#960907,bnc#961320)
- 3.1.108
* Thu Dec 17 2015 schubi@suse.de
- Network services can be restarted again, because they do not
  depend on YaST2-Second-Stage.service anymore. (bnc#954908)
- 3.1.107
* Fri Nov 27 2015 schubi@suse.de
- Added "cobbler" to the obsolete profile section.
  Defined in SUSE Manager but will not be used anymore. (bnc#955878)
- 3.1.106
* Wed Nov 25 2015 schubi@suse.de
- Do not restart NetworkManager* services while restarting all
  services in the second installation stage. (bnc#955260)
- 3.1.105
* Wed Nov 25 2015 lslezak@suse.cz
- Export the already saved software selection when present,
  fixes exporting wrong package selection caused by deployment of
  the installation images (bsc#956325, bsc#910728)
* Fri Nov 20 2015 schubi@suse.de
- Evaluating needed YAST packages which are defined in the
  AutoYaST configuration file and selecting these packages for
  installation. (bnc#955657)
- 3.1.104
* Thu Nov 12 2015 schubi@suse.de
- Updating AutoYaST documentation
- 3.1.103
* Fri Nov  6 2015 schubi@suse.de
- Installation workflow: Using ntpdate instead of sntp for time
  syncing (bnc#953781)
- 3.1.102
* Tue Nov  3 2015 igonzalezsosa@suse.com
- Add dependency on yast2-pkg-bindings 3.1.31 (or newer)
  (bsc#953162)
- 3.1.101
* Thu Oct 22 2015 schubi@suse.de
- Ingore restarting of all wickedd* services while finishing the
  second installation stage. (bnc#944349)
- 3.1.100
* Wed Oct 21 2015 schubi@suse.de
- Cloning system while an installation without AutoYaST: Do not
  blame if packages are not available anymore because the
  medium has already been unmounted (e.g. USB device)
  (bnc#901747)
- 3.1.99
* Thu Oct 15 2015 ancor@suse.com
- Using "backup" or "partitioning_advanced" sections in the profile
  does not produce an error message anymore (bsc#950294)
- 3.1.98
* Fri Oct  9 2015 igonzalezsosa@suse.com
- Move lib/ directory to autoyast2-installation package
  (bsc#949776)
- 3.1.97
* Thu Oct  8 2015 igonzalezsosa@suse.com
- Handle pkgGpgCheck callback introduced in libzypp 14.39.0
  (bsc#948608)
- 3.1.96
* Thu Oct  8 2015 ancor@suse.com
- Enabled translation of some buttons (bsc#948834)
- 3.1.95
* Fri Sep 18 2015 schubi@suse.de
- Writing network settings in first installation stage if the
  second installation stage has been disabled ("second_stage")
  in the general/mode section but a "networking" section has
  also been defined. (bnc#944942)
- 3.1.94
* Tue Sep  8 2015 igonzalezsosa@suse.com
- Fix premature loading of AutoInstall which prevented running
  configuration clients during 2nd stage (bsc#944770)
- 3.1.93
* Tue Sep  1 2015 igonzalezsosa@suse.com
- Move users creation to the first stage, so it is not needed
  to run the 2nd stage to have a minimal system.
- Do no add AutoYaST packages if the second stage won't be
  executed.
- Fixes bnc#892091
- 3.1.92
* Tue Aug 25 2015 schubi@suse.de
- Do not restart dbus service after installation. Otherwise some
  other services will hang. (bnc#937900)
- 3.1.91
* Thu Aug 13 2015 schubi@suse.de
- S390: handling cio_ignore
  Entry <general><cio_ignore> in order to set it
  (values: true/false). If it is not set cio_ignore is true.
  So it is backward compatible. (bnc#941406)
- 3.1.90
* Tue Aug 11 2015 schubi@suse.de
- Fixed typo in partitioning section
  (bnc#941096)
- 3.1.89
* Fri Aug  7 2015 schubi@suse.de
- Writing init scipts to installed system in the first installation
  stage now. The init scrpits will be called while starting
  the autoyast-initscripts service. So, these scripts will be called
  while a system upgrade too. (bnc#940823)
- 3.1.88
* Fri Jul 31 2015 schubi@suse.de
- <software><post-packages>: Must not reinstall already installed
  packages. (fate#319086)
- 3.1.87
* Thu Jul 16 2015 lslezak@suse.cz
- Fixed a syntax error in the schema definition (bsc#938459)
- 3.1.86
* Fri Jul 10 2015 schubi@suse.de
- Syncing hardware time before starting installation via ntp.
  This is configurable via the flag
  <general><mode><ntp_sync_time_before_installation> with which
  the name of the ntp server will be defined. If it is not set
  no synchronisation will be done. So it is backward compatible.
  (bnc#935066)
- 3.1.85
* Wed Jul  1 2015 schubi@suse.de
- Added "upgrade" section to generic list. (bnc#935915)
- 3.1.84
* Fri Jun 26 2015 aschnell@suse.de
- implemented activation of snapper for btrfs on LVM (bsc#935858)
- 3.1.83
* Tue Jun  2 2015 igonzalezsosa@suse.com
- Enabled snapshots creation after auto-installation/upgrade
  (fate#317973)
- 3.1.82
* Tue May 12 2015 schubi@suse.de
- Regarding some corner cases of bsc#925381.
  - - Checking for availability of clients/<module>_auto module before
    reporting an error.
  - - Checking if a module supports more than one autoyast configuration
    section.
- 3.1.81
* Mon May 11 2015 dvaleev@suse.com
- Don't try to format PReP partitions (bsc#927748)
* Mon May 11 2015 aschnell@suse.de
- fixed size parameter "auto" for PReP partitions (bsc#928768)
- 3.1.80
* Fri May  8 2015 schubi@suse.de
- Added new section "restricts" for ntp configuration
  (bnc#928987)
- 3.1.79
* Wed May  6 2015 locilka@suse.com
- Added 'bootloader' and 'report' into list of supported profile
  sections (bsc#925381)
- 3.1.78
* Wed May  6 2015 locilka@suse.com
- Added libxslt into BuildRequires - needed for running test-cases
  (bsc#929832)
- 3.1.77
* Tue May  5 2015 locilka@suse.com
- Reporting unknown and unsupported profile sections (bnc#925381)
- 3.1.76
* Mon May  4 2015 schubi@suse.de
- Evaluate the correct host IP in order to read the proper
  autoyast.xml file (bnc#928303, bnc#908356, bnc#916628)
- 3.1.75
* Fri Apr 10 2015 schubi@suse.de
- New autoinst flag in general/mode section:
  activate_systemd_default_target.
  The default target of systemd will be activated in the second
  stage of autoyast installation.
  The default is "true" which is a backward compatible value.
  (bnc#923992)
- 3.1.74
* Tue Apr  7 2015 igonzalezsosa@suse.com
- Avoid ayast_probe module crashing when called from an installed
  system.
  (bnc#926241)
- 3.1.73
* Thu Mar 26 2015 schubi@suse.de
- New autoinst flag in general/mode section: final_restart_services.
  Restarting all services after finishing the installation.
  The default is "true" which is a backward compatible value.
  (bnc#923992)
* Fri Jan 30 2015 jsrain@suse.cz
- load release notes of extensions also during AutoYaST
  (bnc#893586)
* Tue Jan 20 2015 schubi@suse.de
- Clone_system in autoyast2-installation should call some modules
  (e.g. storage, software) which are defined in autoyast2 package.
  So if needed the user has to install autoyast2 package at first.
* Mon Jan 19 2015 schubi@suse.de
- Checking if the disk is -partitionable- instead of checking if it
  is a real disk. Needed for Multipath disks. (bnc#909349)
- autoyast=file:///<autoinst.xml> : Mount the installation source
  in order to copy AutoYaST configuration file into inst_sys.
  (bnc#908271)
* Tue Dec 30 2014 schubi@suse.de
- Selecting needed yast packages for the second stage correctly.
  (bnc#909751)
- 3.1.72
* Tue Dec 23 2014 schubi@suse.de
- Setting normal mode while applying single module settings to
  system. (bnc#909223)
- 3.1.71
* Thu Dec 18 2014 schubi@suse.de
- Removed code which will be already done by service_manager.
  (bnc#909745)
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri Nov 28 2014 schubi@suse.de
- AutoYaST configuration module: Reset menu bar after calling
  single YAST configuration module.
  (bnc#872711)
- 3.1.69
* Wed Nov 26 2014 schubi@suse.de
- Fixed too small dialog for autoyast profile location.
  (bnc#897321)
- 3.1.68
* Tue Nov 25 2014 schubi@suse.com
- Fixed UI in partition configuration.
  (bnc#901904; bnc#901739)
- 3.1.67
* Mon Oct 13 2014 lslezak@suse.cz
- Fixed "No base product found" error when evaluating
  rules/rules.xml file (bnc#900750)
- 3.1.66
* Thu Oct  9 2014 schubi@suse.de
- Preventing double definition of ALWAYS_CLONABLE_MODULES.
  (bnc#900107)
- 3.1.65
* Fri Sep 26 2014 schubi@suse.de
- Documentation update for SLES12.
- 3.1.64
* Wed Sep 24 2014 schubi@suse.de
- Exporting package selection correctly.
  (bnc#897404)
- 3.1.63
* Wed Sep 24 2014 schubi@suse.de
- Fixed path of change-root scripts which have been
  defined in autoinst.xml.
  (bnc#897212)
- 3.1.62
* Tue Sep 23 2014 schubi@suse.de
- Finishing the autoyast-initscripts.service BEFORE the user can
  login. (bnc#891144)
- 3.1.61
* Fri Sep 12 2014 ancor@suse.com
- If keyboard tag is missing in profile, try to infer the layout
  from the language tag (bnc#891808).
- Updated dependency from yast2-country (>= 3.1.13) with
  improved Keyboard.Import
- 3.1.60
* Wed Sep 10 2014 schubi@suse.de
- Trying to mount CD only if the device has been defined.
  (bnc#895670)
- 3.1.59
* Tue Sep  2 2014 fehr@suse.de
- Fix failure to import report settings from profile introduced with
  fix for bnc#887397 and bnc#893744
- 3.1.58
* Mon Aug 25 2014 schubi@suse.de
- Making "second_stage" public in order to switch off second stage
  installation completely. Needed for bnc#886464 and bnc#892091
- 3.1.57
* Wed Aug 20 2014 schubi@suse.de
- chroot-scripts: Install script into the chroot environment if it
  will be called there. (bnc#889931)
- 3.1.56
* Mon Aug 18 2014 schubi@suse.de
- Supporting registration in installation and upgrade mode while
  the first stage of installation. (bnc#890073)
- 3.1.55
* Wed Aug 13 2014 schubi@suse.de
- Warning that an already existing autoyast configuration file will
  be overwritten. (bnc#888546)
- 3.1.54
* Wed Aug  6 2014 schubi@suse.de
- Exporting user deleted packages correctly. Only locked packages
  will be suggested for because no additional information is
  currently available. (bnc#888296)
- 3.1.53
* Mon Jul 28 2014 schubi@suse.de
- Set the correct runlevel while autyast installation (bnc#889055)
- 3.1.52
* Fri Jul 25 2014 jsrain@suse.cz
- code de-duplication of recent bootloader autoupgrde changes
  (bnc#885634)
- 3.1.51
* Tue Jul 22 2014 schubi@suse.de
- Calling bootloader configuration before evaluating package selection.
  So the package selection can take care about the packages which
  will be needed by the bootloader. (bnc#876161)
- 3.1.50
* Tue Jul 22 2014 jsrain@suse.cz
- import bootloader settings also during autoupgrade (bnc#885634)
- 3.1.49
* Mon Jul 21 2014 locilka@suse.com
- Do not clone hidden modules, not even automatically with
  clone_system (bnc#887115)
- Added support for autogenerated XML in format:
  'services-manager'->'services'->'enable/disable'->'service'
  instead of 'listentry'
- 3.1.48
* Mon Jul 21 2014 schubi@suse.de
- Set default timeout of error,warning,...popups correctly.
  (bnc#887397)
- 3.1.47
* Mon Jul 21 2014 locilka@suse.com
- SCR agent for reading desktop file now understand comments
  according freedesktop.org (^#[ \t])
- Added support for "Hidden" modules (both bnc#887115)
- 3.1.46
* Wed Jul 16 2014 schubi@suse.de
- Filter out tpmfs devices which have no partitions.
  (bnc#887318)
- 3.1.45
* Wed Jul 16 2014 schubi@suse.de
- Exporting partition_nr correctly (bnc#886808)
- 3.1.44
* Thu Jul 10 2014 schubi@suse.de
- Writing pattern selection to /root/autoinst.xml correctly after
  the first installation stage (bnc#882886)
- 3.1.43
* Fri Jul  4 2014 schubi@suse.de
- Enable tmpfs in auotyast (bnc#884618)
- 3.1.42
* Wed Jul  2 2014 schubi@suse.de
- Activate imported S390 disk while the update process
  (bnc#883747)
- 3.1.41
* Fri Jun 27 2014 schubi@suse.de
- -- Set default filesystem for native FS only.
  - - Do not format BIOS Grup partitions.
  Side effects of bug bnc#880569
- 3.1.40
* Wed Jun 25 2014 schubi@suse.de
- Setting default filesystem if it has not been set in autoinst.xml
  (bnc#880569)
- 3.1.39
* Tue Jun 24 2014 schubi@suse.de
- Restarting systemd-logind.service after finishing the configuration.
  (bnc#878920)
- 3.1.38
* Mon Jun 23 2014 jreidinger@suse.com
- allow cloning to custom file (bnc#881108)
- 3.1.37
* Mon Jun 23 2014 schubi@suse.de
- Fixed logging (bnc#883561)
- 3.1.36
* Fri Jun 20 2014 schubi@suse.de
- Do not set Mode.config after the autoyast installation has been
  booted into the system. The original Bug #881378 has been
  fixed on another place. The current fix solves the Bug
  bnc#883025
- 3.1.35
* Thu Jun 12 2014 schubi@suse.com
- Enable snapshots in autoyast. (bnc#878722)
- 3.1.34
* Thu Jun 12 2014 schubi@suse.de
- Checking auto,max flag in storage correctly. (bnc#878950)
- 3.1.33
* Fri Jun  6 2014 schubi@suse.com
- Setting the Mode.config after the autoyast installation has been
  booted into the system. (bnc#881378)
- 3.1.32
* Thu Jun  5 2014 aschnell@suse.de
- readded suse_update_desktop_file call in spec file (bnc#877671)
- 3.1.31
* Tue Jun  3 2014 schubi@suse.de
- GRUB_BIOS partitions must not be formated with default filesystem
  btrfs
  (bnc#876411)
- 3.1.30
* Mon May 26 2014 dvaleev@suse.com
- Fix broken disklabel fetch (bnc#879147)
- 3.1.29
* Wed May 21 2014 schubi@suse.de
- Pass disklabel to FsidBoot which is supported by yast2-storage
  >= 3.1.27
- 3.1.28
* Mon May 19 2014 schubi@suse.de
- Do not generate subvolumes entries for snapshots in autoinst.xml
  (bnc#878414)
- 3.1.27
* Mon May 19 2014 schubi@suse.de
- Flagging yast module for export while generating the autoyast
  configuration file in the installation mode.
  (bnc#877985)
- 3.1.26
* Mon May 12 2014 schubi@suse.de
- Reading software and partition selections before generating
  the autoyast configuration file.
  (bnc#869175)
- 3.1.25
* Tue Apr 22 2014 locilka@suse.com
- Replaced old Product.patterns with new Packages.default_patterns
  (bnc#873923)
- 3.1.24
* Thu Apr 17 2014 tgoettlicher@suse.de
- added disklabel for autoyast.xml needed for gpt partition
  tables (bnc#873766)
- 3.1.23
* Thu Apr  3 2014 tgoettlicher@suse.de
- removed check for "eth" prefix for network devices (bnc#871090)
- 3.1.22
* Tue Mar 25 2014 aschnell@suse.de
- fixed activation of DASDs and zFCPs (bnc#869762)
- 3.1.21
* Tue Mar 18 2014 vmoravec@suse.com
- Fix missing module (bnc#868833)
- 3.1.20
* Mon Mar  3 2014 jreidinger@suse.com
- do not crash if there is no general section (BNC#866529)
- 3.1.19
* Wed Feb 26 2014 fehr@suse.de
- Cloning of software section clones only patterns in state
  "visible", this is a problem with OES where pattern
  novell-yast2 is not a visible pattern (bnc#864421), changed so
  that all patterns are written into cloned patterns list
- add %%{yast_controldir} as directory to package
- 3.1.18
* Mon Feb 17 2014 fehr@suse.de
- Remove call to inst_suseconfig from control_continue_autoyast.xml
- 3.1.17
* Thu Feb 13 2014 fehr@suse.de
- Put current state of documentation from doc team into package
- 3.1.16
* Wed Feb 12 2014 fehr@suse.de
- Use ruby sort to make autoyast partition default order like it
  was in pre-ruby times
- 3.1.15
* Mon Feb 10 2014 locilka@suse.com
- Fixed dependency on yast2-services-manager (>= 0.0.13)
- 3.1.14
* Thu Feb  6 2014 fehr@suse.de
- fix bug in general raid handling
- fix bug handling more than two disks without explicit device name
  in partitioning section of xml description
- 3.1.13
* Wed Feb  5 2014 jreidinger@suse.com
- Add support to profile for minimal configuration(FATE#313149)
- 3.1.12
* Wed Feb  5 2014 fehr@suse.de
- add dependency to yast2-slp again
* Mon Feb  3 2014 fehr@suse.de
- Prevent hang if no IP address entry in /etc/install.inf, this can
  happen with ipv6only=1 (bnc#861624)
- fix problem with initialisation order Storage/Autoinstall and
  make use of label://mylabel/autoyast.xml work (FATE#316530)
- 3.1.11
* Tue Jan 28 2014 jreidinger@suse.com
- In first stage export only proposed values without reading from
  system (FATE#308539)
- 3.1.10
* Tue Jan 28 2014 jreidinger@suse.com
- Fix export in first stage (FATE#308539)
- 3.1.9
* Fri Jan 24 2014 jreidinger@suse.com
- add support for semi-automatic installation for partitioning
  (FATE#314695)
- 3.1.8
* Thu Jan  9 2014 fehr@suse.de
- remove dependency on yast2-slp (bnc#858102)
- 3.1.7
* Wed Jan  8 2014 jreidinger@suse.com
- initial support for semi-automatic installation starting with
  network module (FATE#314695)
- 3.1.6
* Wed Jan  8 2014 jreidinger@suse.com
- move clone_system client to first stage so yast can generate
  profile even on the end of first stage
- 3.1.5
* Wed Dec 18 2013 lslezak@suse.cz
- control.rng has been moved to yast2-installation-control package
- 3.1.4
* Mon Dec  9 2013 fehr@suse.de
- Fix problem with reusing existing partitions (bnc#854439)
* Tue Dec  3 2013 vmoravec@suse.com
- Support legacy runlevel profile
- 3.1.3
* Thu Nov 28 2013 fehr@suse.de
- fix bug where autoyast created primary partition when logical
  ones were requested (bnc#852617)
* Wed Nov 27 2013 fehr@suse.de
- automatically install yast2 packages needed for second stage
  (e.g. install yast2-users if <users> section in profile)
* Mon Nov 25 2013 fehr@suse.de
- fix bug handling url schemes device: and usb: (bnc#849767)
* Fri Nov 22 2013 vmoravec@suse.com
- fix typo in inst_autosetup for default_target
- 3.1.2
* Fri Nov  8 2013 vmoravec@suse.com
- replace yast2-runlevel dependency with yast2-services-manager
  FATE#312568
* Thu Oct 17 2013 fehr@suse.de
- fix exception during rules processing (bnc#846203)
- make rule "totaldisk" work again
* Mon Oct 14 2013 fehr@suse.de
- add requires for yast2-runlevel to autoyast2-installation
  (bnc#844761)
* Wed Oct  2 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Tue Oct  1 2013 fehr@suse.de
- version 3.0.7
- add current autoyast documentation
* Mon Sep 30 2013 fehr@suse.de
- allow parameters in xml profile for autoyast scripts (fate#312687)
* Thu Sep 26 2013 fehr@suse.de
- fixed profile lookup by IP or MAC address (bnc#842560)
* Wed Sep 25 2013 fehr@suse.de
- version 3.0.6
- add code to support named raids (fate#315590)
- add tag "install_recommended" to prevent install of recommended
  packages to software section
* Thu Sep 19 2013 fehr@suse.de
- make usage of whole disk as PVs in LVM VGs possible
* Tue Sep 17 2013 fehr@suse.de
- version 3.0.5
- fix missing setting of ignoreAlreadyRecommended to false when
  client for software proposal is skipped (bnc#838079)
* Fri Sep 13 2013 jsuchome@suse.cz
- 3.0.4
* Tue Sep  3 2013 jsuchome@suse.cz
- do not check for xorg-x11 package (bnc#837450)
* Wed Aug 28 2013 fehr@suse.de
- make use of rules "totaldisk" and "xserver" work (bnc#836366)
* Wed Aug 28 2013 locilka@suse.com
- version 3.0.3
- Dropped yast2-mouse support (FATE#313101)
* Thu Aug 22 2013 fehr@suse.de
- version 3.0.2
- add capability to enable multipathing in profile (fate#316278)
- put all profile handling before call to inst_system_analysis
* Tue Aug  6 2013 lslezak@suse.cz
- removed obsolete BuildRequires: yast2-mouse yast2-transfer
  yast2-bootloader xorg-x11-libs pkg-config libxslt perl-XML-Writer
  yast2-testsuite yast2-country yast2-slp python-xml yast2
  yast2-update yast2-storage
- removed empty testsuite
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Jul 16 2013 fehr@suse.de
- version 2.24.4
- fix scripts with chrooted=true via nfs (bnc#829265)
- /sbin/portmap does not exist any more, no starting in io.ycp
* Wed Jun  5 2013 fehr@suse.de
- recognize that eth-id-... and eth[0-9] may be the same device
  in removeNetwork() (bnc#823124)
* Wed May 29 2013 lslezak@suse.cz
- version 2.24.3
- updated loading mouse database (changed in yast2-mouse)
* Tue May 28 2013 fehr@suse.de
- avoid using widget id `help seems to conflict with global
  Help-Widget (bnc#822009)
* Thu May 16 2013 fehr@suse.de
- change removal of network devices in inst_autoconfigure (bnc#817797)
* Wed May  8 2013 fehr@suse.de
- version 2.24.2
- allow location-tag for file_scripts to fetch them via net
* Tue May  7 2013 fehr@suse.de
- add device_order and subvolumes to partitioning.rnc
* Tue Apr 30 2013 fehr@suse.de
- fix autoinst scheme with usb (if not mounted) (bnc#817871)
* Thu Apr 18 2013 fehr@suse.de
- version 2.24.1
- restart all running services to cover possible config changes
  when auto-client of modules are executed (bnc#804454)
* Mon Apr 15 2013 fehr@suse.de
- prevent execution of init-scripts before they are fetched
  (bnc#811688)
- recognize mounted device also when by-id names are used
  in /proc/mounts (bnc#565557)
* Mon Mar 25 2013 fehr@suse.de
- prevent kill of autoyast-initscripts.service by systemd
  (fix is by joschibrauchle@gmx.de, bnc#803577)
* Fri Mar 15 2013 jsrain@suse.cz
- fixed handling of removing (or deselecting) packages during
  AutoYaST upgrade (bnc#794403)
* Thu Mar 14 2013 fehr@suse.de
- 2.24.0
- add possibility to demand swap suited for suspend (bnc#801866)
* Tue Feb 19 2013 fehr@suse.de
- 2.23.5
- fix additional progress synchronicity issue (bnc#801866)
* Tue Feb 19 2013 fehr@suse.de
- 2.23.4
- explicitly call systemctl isolate with default.target to
  initialize system to default runlevel after second stage
  package installation and configuration (bnc#769924, bnc#779261)
* Mon Feb 11 2013 fehr@suse.de
- 2.23.3
- fix failure to execute autoyast init scripts (bnc#803036)
* Thu Feb  7 2013 fehr@suse.de
- 2.23.2
- fix lag of progress bar in inst_autosetup (bnc#801866)
* Tue Feb  5 2013 fehr@suse.de
- fix bug when disk has more than on unpartitioned gap (bnc#794505)
* Thu Jan 24 2013 fehr@suse.de
- fix problem reuse of large number of partitions and few extra
  partition slots available (e.g. 15 on cciss) (bnc#799725)
* Tue Nov 13 2012 fehr@suse.de
- 2.23.1
- convert autoyast init script to systemd service (bnc#788997)
* Mon Nov 12 2012 fehr@suse.de
- prepare for having autoyast documentation separate from sources
* Wed Oct 24 2012 fehr@suse.de
- ask dialogs can have "width" and "height" entries to make popups
  larger than default size (fate#313019)
* Tue Oct 23 2012 fehr@suse.de
- support entry "mkfs_options" in partitions
* Wed Oct 17 2012 fehr@suse.de
- tolerate leading or trailing whitespace in script "location" tag
  (bnc#782037)
* Tue Oct 16 2012 fehr@suse.de
- make autoyast able to continue on commit errors (bnc#785234)
* Mon Oct 15 2012 fehr@suse.de
- add note that merged sections need to be in alphabetical order
  (bnc#782598)
* Mon Oct  1 2012 fehr@suse.de
- fix bug that caused hostname to contain IP address (bnc#782530)
* Thu Sep 20 2012 fehr@suse.de
- 2.23.0
- add code to support thin provisioning in LVM VG (fate#313905)
* Wed Sep 19 2012 fehr@suse.de
- log stderr and stdout of init scripts (bnc#781145)
* Thu Aug 30 2012 fehr@suse.de
- use ButtonBox widget where appropriate (bnc#701255)
* Wed Aug 29 2012 fehr@suse.de
- prevent cloning of /dev/tmpfs storage container (bnc#776365)
* Tue Aug  7 2012 ug@suse.de
- fixed fetching of init-scripts from the network
- 2.22.5
* Thu Jul 26 2012 fehr@suse.de
- added support for handling subvolumes under btrfs
- update documentation about keys "subvolumes" and "device_order"
* Tue Jul 17 2012 ug@suse.de
- added device order option for raid
- 2.22.4
* Tue Jul  3 2012 ug@suse.de
- fixed schema file
- 2.22.3
* Fri May 11 2012 ug@suse.de
- docu fixed
- 2.22.2
* Mon May  7 2012 ug@suse.de
- software raid on multipath did not work
* Tue Apr 24 2012 ug@suse.de
- added postpartitioning-scripts to rnc file
  (bnc#752896)
- 2.22.1
* Mon Apr 16 2012 ug@suse.de
- setting disklabel to gpt did not work (bnc#757324)
* Tue Apr 10 2012 ug@suse.de
- license to gpl v2
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofread texts
* Thu Mar  1 2012 ug@suse.de
- autoyast init-scripts got a parameter "2" because of a bug
  in /etc/init.d/autoyast (bnc#749214)
* Wed Feb  1 2012 ug@suse.de
- 2.22.0
* Wed Jan  4 2012 ug@suse.de
- added taboo list for device guessing
  (bnc#736530)
* Mon Jan  2 2012 ug@suse.de
- 2nd password field in ask-dialogs can be too short
  (bnc#737660)
* Wed Dec  7 2011 coolo@suse.com
- fix license to be in spdx.org format
* Tue Nov 29 2011 ug@suse.de
- added some more RPM-requires for the installation
  (bnc#708258)
* Tue Nov 29 2011 ug@suse.de
- log ask-scripts only if debug is set to true
  (bnc#732359)
* Wed Nov 23 2011 ug@suse.de
- moved writing init-scripts to 1st stage because of systemd
* Wed Oct  5 2011 jsrain@site
- prevent unwanted change of autoupgrade mode to autoinstallation
  (bnc#722249)
- 2.21.4
* Tue Oct  4 2011 ug@suse.de
- removed TrustGpgKey (bnc#722012)
- 2.21.3
* Fri Sep 23 2011 lslezak@suse.cz
- Update::ProposeSelection() has been removed, selections have
  been replaced by patterns long time ago
- 2.21.2
* Mon Sep  5 2011 ug@suse.de
- removed java from BuildRequires
- 2.21.1
* Thu Sep  1 2011 ug@suse.de
- fixed scripts execution during auto-upgrade
  (bnc#715468)
* Thu Sep  1 2011 ug@suse.de
- reuse partition with mountby=uuid fixed
  (bnc#715435)
* Wed Aug 31 2011 ug@suse.de
- relurl did not work in 2nd stage, like for post
  and init-scripts (bnc#666189)
* Tue Aug 30 2011 ug@suse.de
- typos fixed (bnc#702657)
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Fri Jul 29 2011 ug@suse.de
- added support for client certificated with HTTPS
- 2.21.0
* Wed Jul 27 2011 ug@suse.de
- added fibre channel autoyast client to 1st stage
* Fri Jul 22 2011 locilka@suse.cz
- Removed obsoleted X-KDE-SubstituteUID from desktop all files and
  replaced with xdg-su for autoyast desktop file (bnc#540627)
* Fri Jul 22 2011 ug@suse.de
- passing a type=boolean to an ask-script via $VAL did not work
* Mon Jul 18 2011 jsrain@suse.cz
- fixed typo (bnc#702662)
* Thu Jul 14 2011 ug@suse.de
- New profile flag networking/setup_before_proposal enables setting
  up more than one NIC for networked storage (FATE#309213).
* Thu May 19 2011 ug@suse.de
- clone "label" of a partition if it was set (bnc#628738)
* Thu May 19 2011 ug@suse.de
- added the possibility to restart yast after pre-script
  execution
* Fri May 13 2011 ug@suse.de
- keep_unknown_lv added (fate#308893)
* Tue Apr 26 2011 ug@suse.de
- added documention for disklabel (bnc#631176)
* Tue Apr 26 2011 ug@suse.de
- try to mount DVD/CD again if first mount fails
  (bnc#684974)
* Wed Mar 16 2011 ug@suse.de
- fixed logging for modules that use a list as data format
* Wed Feb 23 2011 jsrain@suse.cz
- do not reread target map if target system is already mounted
  during upgrade (bnc#673033)
- 2.20.9
* Thu Feb  3 2011 ug@suse.de
- 2.20.8
* Thu Feb  3 2011 fehr@suse.de
- add support for install on NFS as root device
* Tue Feb  1 2011 ug@suse.de
- fix for cloning LVM on s390
* Mon Jan 31 2011 ug@suse.de
- syntax error fixed (missing Mode)
- 2.20.7
* Thu Jan 27 2011 ug@suse.de
- typo fixed
- 2.20.6
* Thu Jan 27 2011 ug@suse.de
- added rel_url to CDATA again (needed for ISO on NFS)
- 2.20.5
* Wed Jan 19 2011 jsrain@suse.cz
- adaptations for unattended migration (fate#310481)
- 2.20.4
* Tue Jan  4 2011 lslezak@suse.cz
- fixed build (wrong mount call params)
- 2.20.3
* Wed Nov 24 2010 ug@suse.de
- clone devices by-path on s390 (bnc#591603)
- 2.20.2
* Tue Oct 12 2010 lslezak@suse.cz
- don't use obsoleted inst_packages.ycp client, use PackagesUI.ycp
  module instead (bnc#471490)
- 2.20.1
* Mon Aug 30 2010 ug@suse.de
- setting a boolean via <path> does not work (regression from the
  fix bnc#572166)
* Mon Aug 30 2010 ug@suse.de
- potential endless reboot during online update fixed
* Tue Aug 10 2010 ug@suse.de
- media_url removed from CDATA
* Thu Aug  5 2010 ug@suse.de
- a new filesystem can be specified for partitioning_advanced
* Tue Aug  3 2010 ug@suse.de
- reusing more partitions than the hardware still could create
  fails (bnc#620212). This is a different issue but the same bug
  like on Jul 15 14:21:41 below
* Thu Jul 15 2010 ug@suse.de
- speed up partitioning calculation if a lot partitions are
  reused (bnc#620212)
* Fri Jul  9 2010 ug@suse.de
- an existing swap partition can accidently be reused
  even if AutoYaST is not supposed to touch it (bnc#613366)
* Fri May 21 2010 ug@suse.de
- fixed a segfault by an uninitialized libstorage
  (bnc#607844)
- 2.19.10
* Fri May 21 2010 ug@suse.de
- max/auto in partition sizes could led to a 0 byte partition
  (bnc#607460)
- 2.19.9
* Thu May 20 2010 ug@suse.de
- fixed Storage::GetContVolInfo call
  (bnc#607460)
* Wed May 19 2010 ug@suse.de
- syntax error fixed
- 2.19.8
* Tue May 11 2010 ug@suse.de
- elements on an ask-dialog can be grouped by a frame now
* Wed Apr 28 2010 ug@suse.de
- old callback behavior (popups) for add-ons if no
  signature-handling is configured.
- 2.19.7
* Wed Apr 28 2010 ug@suse.de
- path to image script fixed
* Tue Apr 27 2010 ug@suse.de
- partition_alignment added to general section
  bnc#597723
- 2.19.6
* Mon Apr 26 2010 ug@suse.de
- added "rerun" to scripts documentation
* Thu Apr  8 2010 ug@suse.de
- reuse of a physical device for an LVM fixed
  (bnc#591601)
* Fri Mar 26 2010 ug@suse.de
- <notification> added to scripts UI
- 2.19.5
* Fri Mar 26 2010 ug@suse.de
- fixed a race when final_halt or final_reboot was used
  (bnc#591300)
* Thu Mar 25 2010 ug@suse.de
- "notification" option added to scripts
* Thu Mar 18 2010 ug@suse.de
- prefer the filename of a remote script instead of the
  type of a script when no filename is specified in the XML
* Thu Mar 18 2010 ug@suse.de
- translation of by-id, by-path, ... is done by libstorage now
- 2.19.4
* Mon Mar 15 2010 ug@suse.de
- release old repos when repo is changed in UI
* Fri Mar 12 2010 ug@suse.de
- printer docu updated (bnc#587441)
* Thu Mar 11 2010 ug@suse.de
- location for files added to UI
- 2.19.3
* Wed Mar 10 2010 ug@suse.de
- location for scripts added to UI
* Wed Mar 10 2010 ug@suse.de
- docu and cleanup
* Fri Mar  5 2010 ug@suse.de
- new structure for documentation
* Tue Mar  2 2010 ug@suse.de
- don't install post-packages with ayast_setup twice (bnc#584564)
- post-patterns in ayast_setup fixed (bnc#584564)
* Fri Feb 26 2010 ug@suse.de
- script docu fixed
* Fri Feb 26 2010 ug@suse.de
- 2.19.2
* Thu Feb 25 2010 ug@suse.de
- translation fix (bnc#582674)
* Fri Feb 19 2010 ug@suse.de
- imsmdriver config disbled (too late for that in the profile)
- use of free space gained by resizing fixed (bnc#580842)
* Thu Feb 18 2010 ug@suse.de
- fetch_image.sh added
* Mon Feb 15 2010 ug@suse.de
- image installation enhanced + UI added
* Thu Jan 28 2010 ug@suse.de
- you can choose a different inst-source in the UI then the one
  of the running system
* Wed Jan 27 2010 ug@suse.de
- symbol added for the use of ImsmDriver (bnc#574270)
* Fri Jan 22 2010 ug@suse.de
- the regex match for rules only worked for substrings, not
  with real regexpressions (bnc#572932)
* Thu Jan 21 2010 ug@suse.de
- passing a boolean to an ask-script failed (bnc#572166)
* Tue Jan 19 2010 ug@suse.de
- bootloader docu rewritten - thanx to Jozef Uhliarik for
  helping me (bnc#529967)
* Thu Jan 14 2010 ug@suse.de
- autoyast=label://LABEL/PATH implemented (fate#308525)
- 2.19.1
* Wed Dec 23 2009 ug@suse.de
- merged the code for autoyast=device and autoyast=usb to reduce
  redundancy and fix the "already mounted" bug for USB (bnc#565558)
* Wed Dec 16 2009 aschnell@suse.de
- adapted encryption password setting to new yast2-storage
- 2.19.0
* Wed Nov 25 2009 ug@suse.de
- mountby was not cloned correctly (bnc#557759)
* Wed Nov 25 2009 ug@suse.de
- reusing of logical partitions can fail (bnc#557994)
* Fri Nov 20 2009 ug@suse.de
- fix for conflicts in rule-dialogs
* Thu Nov 19 2009 ug@suse.de
- set mode to config during cloning (bnc#520658)
* Wed Nov 18 2009 ug@suse.de
- translation of Mouse -> "probe" fixed
* Tue Nov 17 2009 ug@suse.de
- dialogs for rules added
* Wed Nov 11 2009 ug@suse.de
- added CLI to clone_system
* Tue Nov 10 2009 ug@suse.de
- autoyast=nfs:// falls back to nfs4 if nfs3 mounting fails
* Tue Nov 10 2009 ug@suse.de
- check if cdrom is mounted when image should be searched on CD/DVD
  thanx to Leonardo L. P. da Mata for a patch
* Tue Nov 10 2009 ug@suse.de
- <location> can be CDATA now (bnc#546387)
* Tue Nov 10 2009 ug@suse.de
- description for url's in SLP possible now
* Fri Oct 16 2009 ug@suse.de
- 2.18.14
* Thu Oct 15 2009 ug@suse.de
- fixed a blocked stage2 when using autoyast=slp
* Thu Oct 15 2009 ug@suse.de
- possible endless loop for profiles on USB device fixed
* Wed Oct 14 2009 ug@suse.de
- 2.18.13
* Tue Oct 13 2009 ug@suse.de
- accidently selected too many patterns to install
  (bnc#529613)
* Mon Oct 12 2009 ug@suse.de
- fix for "auto" in partition sizes
* Mon Oct 12 2009 ug@suse.de
- wrapper call fixed to append a "b" in partition sizes
- 2.18.12
* Tue Oct  6 2009 ug@suse.de
- fix for "no filesystem found" when cloning
* Fri Oct  2 2009 ug@suse.de
- false alert about missing device fixed
- 2.18.11
* Thu Oct  1 2009 ug@suse.de
- clone the mountoptions of partitions too
  (bnc#542330)
* Thu Oct  1 2009 ug@suse.de
- don't format partitions that have unknown FS during cloning
  (bnc#542331)
* Mon Aug 31 2009 ug@suse.de
- "Requires:" fixed (yast2-slp)
- 2.18.10
* Mon Aug 17 2009 ug@suse.de
- 2.18.9
* Thu Jul 16 2009 ug@suse.de
- ayast_setup can ignore all package related stuff now
* Thu Jul 16 2009 ug@suse.de
- default_value_script added to ask-dialogs
* Tue Jul 14 2009 ug@suse.de
- timeout added to ask-dialog configuration
- some enhancments to the UI
- 2.18.8
* Mon Jul 13 2009 ug@suse.de
- path -> pathlist in the ask-dialog configuration
* Tue Jul  7 2009 ug@suse.de
- deactivate <timeout> after first user interaction
- 2.18.7
* Mon Jul  6 2009 ug@suse.de
- timout for <ask> dialogs invented
* Thu Jul  2 2009 ug@suse.de
- fixed order of groups in UI
* Wed Jul  1 2009 ug@suse.de
- <feedback_type> for scripts invented
* Tue Jun 30 2009 ug@suse.de
- <filename> option added to the <pxe> section
* Mon Jun 29 2009 ug@suse.de
- <pxe> schema file added
* Fri Jun 26 2009 ug@suse.de
- UI for LVm striping added
* Wed Jun 17 2009 ug@suse.de
- no need anymore to specify the device when using
  autoyast=device://...
- 2.18.6
* Tue Jun 16 2009 ug@suse.de
- autoyast=usb://... could fail to find profile on logical
  partitions
* Tue Jun 16 2009 ug@suse.de
- cloning striped LVM fixed
* Tue Jun 16 2009 ug@suse.de
- striping added to schema file
* Mon Jun 15 2009 ug@suse.de
- fix for autoyast profile on by-id devices
* Tue Jun  9 2009 ug@suse.de
- regex support for packages and patterns added
  (undocumented feature yet)
* Thu Jun  4 2009 ug@suse.de
- creating directories with <files> section possible
  (fate #305313)
* Thu Jun  4 2009 ug@suse.de
- better feedback for the common "device not found" error
* Wed Jun  3 2009 ug@suse.de
- CIFS support added
* Tue May 19 2009 ug@suse.de
- old <general> cloning code dropped
* Mon May 18 2009 ug@suse.de
- ask libstorage for the default filesystem instead of hardcoded
  ext3
- 2.18.5
* Mon May 18 2009 ug@suse.de
- ZeroNewPartitions is configureable
* Tue May 12 2009 ug@suse.de
- more sophisticated size calculation in LVM code
  (still requires some fixes for multiple striped LVs)
- 2.18.4
* Mon May 11 2009 ug@suse.de
- striping documentation added
* Fri May  8 2009 ug@suse.de
- network_needed=true post-scripts can trigger a resolver error
  (bnc#498993)
* Tue May  5 2009 ug@suse.de
- keep_install_network docu added (thanx Bubli and Michal)
- 2.18.3
* Mon May  4 2009 ug@suse.de
- don't log passwords from "ask" fixed (bnc#492746)
* Tue Apr 14 2009 ug@suse.de
- reuse old partition_id when create=false
* Wed Apr  8 2009 ug@suse.de
- don't log the answers of ask dialogs via milestone
* Wed Apr  8 2009 ug@suse.de
- classes and rules RNC files fixed
* Fri Apr  3 2009 ug@suse.de
- postpartitioning script invented
* Wed Apr  1 2009 ug@suse.de
- storage lib compatibility with "used_by"
- 2.18.2
* Tue Mar 31 2009 locilka@suse.cz
- Adapted to RootPart API cleanup.
* Tue Mar 31 2009 ug@suse.de
- default filesystem changed to ext3 (bnc#490389)
* Thu Mar 26 2009 ug@suse.de
- bootloader docu updated
* Wed Mar 18 2009 ug@suse.de
- autoyast fails to add add-on product with iso image (bnc#484735)
- post-scripts documentation fixed
* Mon Mar  2 2009 ug@suse.de
- software RAID cloning fixed (bnc#480690)
* Wed Feb 25 2009 ug@suse.de
- very old LVM and RAID code dropped
* Wed Feb 18 2009 ug@suse.de
- Classes did not work without Rules anymore (bnc#476456)
* Mon Feb 16 2009 ug@suse.de
- patch from Arvin applied to cleanup some storage code
- 2.18.1
* Tue Feb 10 2009 ug@suse.de
- pesize_str_to_byte replaced by
  AutoinstStorage::humanStringToByte
* Mon Feb  9 2009 ug@suse.de
- shell escape added for the password for encrypted profiles
- speed up software cloning with many repositories
- clean up
- 2.18.0
* Fri Feb  6 2009 ug@suse.de
- Wrapper for LibStorage::humanStringToByte added
* Fri Feb  6 2009 ug@suse.de
- fixed the translation of module/groups in the UI (bnc#448238)
* Wed Feb  4 2009 ug@suse.de
- SLP support added (fate#305827)
* Mon Jan 26 2009 ug@suse.de
- label on back/ok button is ask-dialogs can be specified
* Mon Jan 26 2009 ug@suse.de
- ask-dialogs can have a new type called "static_text"
  (fate#305732)
* Wed Jan 21 2009 ug@suse.de
- hide "Show Source" menu point when source is shown already
  (bnc#457575)
- hide "Show config tree" menu point when tree is shown already
  (bnc#457575)
* Mon Jan 12 2009 ug@suse.de
- nfs mountpoints can end up in the partitioning section
  while cloning (bnc#465329)
* Fri Jan  9 2009 ug@suse.de
- "autoyast2-installation" double entries fixed (bnc#464161)
- ayast_setup checks for a missing file now (bnc#457587)
- firstboot.desktop moved to yast2-firstboot (bnc#464118)
* Thu Jan  8 2009 ug@suse.de
- link in docu fixed (bnc#464390)
- typo fixed (bnc#464091)
* Thu Dec 18 2008 ug@suse.de
- kdump docu fixed
* Tue Dec 16 2008 locilka@suse.cz
- A bit more strict runlevels.rnc (bnc #457992).
* Tue Dec  9 2008 ug@suse.de
- Icon for firstboot added
- 2.17.27
* Tue Dec  9 2008 ug@suse.de
- avoid double entries while cloning (bnc#457441)
- 2.17.26
* Mon Dec  8 2008 ug@suse.de
- wrong partition id in some cases (bnc#456124)
- 2.17.25
* Mon Dec  8 2008 ug@suse.de
- use control.rng file for validating the
  control_continue_autoyast.xml file (bnc#455994)
- 2.17.24
* Thu Nov 27 2008 ug@suse.de
- docu "Invoking AutoYaST" fixed (bnc#449755)
* Wed Nov 26 2008 ug@suse.de
- more sophisticated cloning of the <software> section
- 2.17.23
* Tue Nov 25 2008 ug@suse.de
- translation strings added (bnc#265264)
* Tue Nov 25 2008 ug@suse.de
- kdump documentation by bwalle added
* Mon Nov 24 2008 ug@suse.de
- switch for installation of recommended patterns added
* Wed Nov 19 2008 ug@suse.de
- text marked for translation
- 2.17.22
* Thu Nov 13 2008 ug@suse.de
- fixed compatibility to networking rnc file
* Wed Nov 12 2008 ug@suse.de
- country settings moved beyond pre-script execution
- 2.17.21
* Mon Nov 10 2008 ug@suse.de
- "partition_type" removed during cloning
* Mon Nov 10 2008 ug@suse.de
- "format" fixed in cloning
* Tue Nov  4 2008 ug@suse.de
- LVM cloning fixed (partition_nr)
- 2.17.20
* Fri Oct 31 2008 ug@suse.de
- reactivated bootloader cloning in the UI
* Thu Oct 30 2008 ug@suse.de
- cloning RAID fixed
* Tue Oct 28 2008 ug@suse.de
- <wait> section added to <general> section
* Mon Oct 27 2008 ug@suse.de
- added kdump support
- 2.17.19
* Fri Oct 24 2008 ug@suse.de
- workaround for missing "REQUIRES" in content file to stay
  backward compatible
- 2.17.18
* Wed Oct 15 2008 ug@suse.de
- moved common.rnc from yast2-schema to autoyast2 to
  fix yast2-schema build errors
- 2.17.17
* Tue Oct 14 2008 ug@suse.de
- add-on product docu update (bnc#433981)
* Mon Oct 13 2008 ug@suse.de
- 2.17.16
* Thu Oct  9 2008 ug@suse.de
- AnyQuestion Fix
* Wed Oct  8 2008 ug@suse.de
- typo for yes/no/cancel box fixed
- strings to translate
- 2.17.15
* Mon Oct  6 2008 lslezak@suse.cz
- fixed some more GPG callbacks (see bnc#370223)
* Fri Sep 26 2008 ug@suse.de
- optimization for package evaluation removed.
- 2.17.14
* Thu Sep 25 2008 ug@suse.de
- 2.17.13
* Thu Sep 25 2008 lslezak@suse.cz
- adapted the GPG callbacks to the new prototypes (bnc#370223)
* Wed Sep 24 2008 ug@suse.de
- Export() in storage code moved to fix bnc#429227
* Wed Sep 24 2008 ug@suse.de
- second try for a fix for partition size during cloning
  (bnc#415005)
* Fri Sep 19 2008 sschober@suse.de
- Set Profile::changed when cloneing a module
- Removed Cancel-button from exit dialog (bnc#427710).
* Wed Sep 17 2008 ug@suse.de
- mountby could get lost while partition reuse
- ReadXML fixed
- 2.17.12
* Fri Sep 12 2008 ug@suse.de
- support for images deployment added by calling the
  deploy_image_auto client
- 2.17.11
* Wed Sep 10 2008 ug@suse.de
- proof readed texts
- 2.17.10
* Wed Sep 10 2008 ug@suse.de
- workaround for broken resolver removed since it is fixed now and
  performance boost by using zypp API now again (bnc#407973)
* Mon Sep  8 2008 ug@suse.de
- fix for relurl scripts in second stage
- 2.17.9
* Fri Sep  5 2008 sschober@suse.de
- changed button placement and lables [bnc#423511]
- fixed window closing behaviour [bnc#423513]
* Wed Sep  3 2008 ug@suse.de
- cloning of software and partitioning is optional now
- list of modules to clone is sorted now
- 2.17.8
* Wed Sep  3 2008 ug@suse.de
- relurl for file_location added
* Tue Sep  2 2008 ug@suse.de
- Read() button added to UI
- UI changes
- 2.17.7
* Tue Sep  2 2008 ug@suse.de
- <remote_file> to files section
* Thu Aug 28 2008 ug@suse.de
- arvin's multipath patch added
* Wed Aug 27 2008 ug@suse.de
- patch for ayast_setup applied. Thanx Bubli! :)
* Tue Aug 26 2008 ug@suse.de
- package automagic removed
* Mon Aug 25 2008 ug@suse.de
- post-patterns added
- 2.17.6
* Wed Aug 20 2008 ug@suse.de
- 2.17.5
* Wed Aug 20 2008 sschober@suse.de
- Validate profile sections separately
* Tue Aug 19 2008 sschober@suse.de
- UI redesign (fate#303552)
* Fri Aug 15 2008 ug@suse.de
- autoyast start script fixed
- 2.17.4
* Thu Aug 14 2008 ug@suse.de
- EVMS support dropped
* Tue Aug 12 2008 ug@suse.de
- make sure that cloned partitions are at least one cylinder
  in size (bnc#415005)
* Tue Jul 22 2008 jsuchome@suse.cz
- added firstboot.desktop (fate#301946)
- 2.17.3
* Wed Jul 16 2008 ug@suse.de
- docu update for online update
* Mon Jul 14 2008 locilka@suse.cz
- Package yast2-installation removed from RPM dependencies
  (bnc #408840).
* Thu Jul  3 2008 ug@suse.de
- autoyast prepared for the online update client (fate#301298)
- 2.17.2
* Wed Jul  2 2008 ug@suse.de
- missing 'use' leads to 'use=all'
* Wed Jul  2 2008 ug@suse.de
- moved the DASD processing for fate #301193
* Tue Jul  1 2008 ug@suse.de
- write to system feature added (fate#302171)
* Mon Jun 30 2008 ug@suse.de
- autoyast2 is installed when the profile has a <files ...> section
* Wed Jun 25 2008 ug@suse.de
- proposal selection possible via autoyast profile (fate#302946)
- 2.17.1
* Mon Jun 23 2008 ug@suse.de
- if mountpoint is swap, filesystem is set to swap too
  automatically (bnc#401547)
* Thu Jun 19 2008 sschober@suse.de
- Partitioning UI rewritten.
- 2.17.0
* Thu Jun 19 2008 ug@suse.de
- added missing "swap" filesystem in documentation
* Thu Jun 19 2008 ug@suse.de
- 'passwords mismatch' check in 'ask' fixed (bnc#401208)
* Tue Jun 17 2008 ug@suse.de
- use yast2-storage proposal when no partitioning
  is in the profile (fate#301257)
* Fri Jun 13 2008 ug@suse.de
- added a cache to speedup cloning of software
  (bnc#391770)
* Fri May 30 2008 ug@suse.de
- fix for cloning the software section
  (bnc#391770)
- 2.16.18
* Tue May 27 2008 ug@suse.de
- UI endless loop fixed
- 2.16.17
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Wed May 14 2008 ug@suse.de
- moved the execution of the pxe section far to the end of stage1
  (bnc#390107)
- 2.16.16
* Wed May 14 2008 ug@suse.de
- ask_on_error for add-on documented
* Tue May  6 2008 ug@suse.de
- forceboot option added to general section
- 2.16.15
* Tue Apr 29 2008 ug@suse.de
- Export for <mode> fixed
* Mon Apr  7 2008 ug@suse.de
- add autoyast2-installation to the package list
- 2.16.14
* Thu Apr  3 2008 ug@suse.de
- 2.16.13
* Wed Apr  2 2008 lslezak@suse.cz
- adapted to the new callback registration scheme (fate#302296)
* Tue Apr  1 2008 ug@suse.de
- "encryption switch" fixed when opening an encrypted profile
* Tue Apr  1 2008 jsrain@suse.cz
- merged texts from proofread
* Thu Mar 27 2008 ug@suse.de
- XML profile on USB devices can make yast to hang when the profile
  can not be found by autoyast (bnc#366550)
* Tue Mar 25 2008 ug@suse.de
- back button for ask dialogs added (fate #303397)
- logging of "ask" changed to y2debug
- 2.16.12
* Wed Mar 19 2008 ug@suse.de
- outdated migration chapter dropped
- desktop files updated
- 2.16.11
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Fri Mar 14 2008 locilka@suse.cz
- Adjusted to new API for disabled modules in ProductControl.
- Adjusted RPM dependencies.
- 2.16.10
* Thu Mar 13 2008 ug@suse.de
- <device> autodetection for RAID added (bnc#367734)
- 2.16.9
* Wed Mar  5 2008 ug@suse.de
- <kernel> was not handled correctly (bnc#366553)
- 2.16.8
* Fri Feb  1 2008 ug@suse.de
- an ask script can influence the next dialog that is shown
  (fate #303398)
- 2.16.7
* Fri Jan 18 2008 ug@suse.de
- shell escape code fixed (#354671)
* Thu Jan 17 2008 ug@suse.de
- ShellEscape Code added
- 2.16.6
* Tue Jan 15 2008 ug@suse.de
- the "path" for an ask-question can be in a list now to
  change multiple elements in the profile
* Mon Jan 14 2008 ug@suse.de
- default for missing <element ..> fixed
* Fri Jan 11 2008 ug@suse.de
- Documentation update
- 2.16.5
* Thu Jan 10 2008 ug@suse.de
- rerun_on_error added to scripts execution to keep <ask> dialogs
  open until the answers passes the parsing of a script
* Wed Jan  9 2008 ug@suse.de
- added command line option to jump into a module (fate #5997)
* Tue Jan  8 2008 ug@suse.de
- experimental interactive scripts code added
- Buildrequires fixed
- 2.16.4
* Wed Jan  2 2008 ug@suse.de
- endless loop in pre-script fixed (#351103)
* Fri Dec  7 2007 ug@suse.de
- 2.16.3
* Mon Dec  3 2007 ug@suse.de
- profiles can be stored encrypted
* Tue Nov 27 2007 ug@suse.de
- documentation and UI enhancement for feature #301256 added
* Mon Nov 26 2007 ug@suse.de
- halt/reboot option added to general section (feature #301256)
* Thu Nov 22 2007 ug@suse.de
- reuse EVMS fixed (#335763)
* Wed Nov 21 2007 ug@suse.de
- "mountby" documentation fixed (#307124)
* Wed Nov 21 2007 ug@suse.de
- reset module in the autoyast UI did not work (#340517)
* Wed Nov 14 2007 ug@suse.de
- complete iSCSI support added (feature #302973)
* Wed Nov 14 2007 ug@suse.de
- relative path for autoyast scripts in the location element
  (second part of feature #302973)
* Tue Nov 13 2007 ug@suse.de
- relative path for autoyast profile
  (first part of feature #302973)
* Fri Nov  9 2007 ug@suse.de
- copy modified profile to the installed system too (#328837)
* Wed Nov  7 2007 ug@suse.de
- some hardware information for rules was not probed (#336339)
* Wed Nov  7 2007 locilka@suse.cz
- Some variables were moved from AutoinstStorage, AutoinstGeneral,
  and AutoinstSoftware to AutoinstData (yast2.rpm) to break cyclic
  dependencies.
- Adjusted RPM dependencies.
- 2.16.2
* Wed Oct 24 2007 ug@suse.de
- API Call to Storage fixed (#335582)
- 2.16.1
* Tue Oct  2 2007 ug@suse.de
- partitioning documentation fixed
* Tue Oct  2 2007 ug@suse.de
- fetching profile from NFS fixed (#329791)
- 2.16.0
* Fri Sep  7 2007 ug@suse.de
- RNC file fixed (empty ask section allowed)
- 2.15.17
* Mon Sep  3 2007 ug@suse.de
- added LanUdevAuto::Import for networking udev configuration
  (#303916)
- 2.15.16
* Mon Sep  3 2007 ug@suse.de
- commandline options fixed (#269887)
* Mon Aug 20 2007 ug@suse.de
- 2.15.15
* Mon Aug 20 2007 mvidner@suse.cz
- Require nfs-kernel-server.rpm because nfs-utils.rpm got split (#286300).
* Thu Aug 16 2007 ug@suse.de
- suppress a warning
* Wed Aug 15 2007 ug@suse.de
- fix for the support of the new "keep install network"
  feature of 10.3
- 2.15.14
* Tue Aug  7 2007 ug@suse.de
- no frame if no frametitle is defined in ask-questions
* Tue Jul 17 2007 ug@suse.de
- 2.15.13
- PDF dropped from documentation
* Thu Jul 12 2007 ug@suse.de
- helptext for ask-feature is the sum of the helptext of all
  elements now
* Thu Jul  5 2007 ug@suse.de
- 2.15.12
* Wed Jul  4 2007 ug@suse.de
- initialize libstorage (#288690)
* Mon Jul  2 2007 ug@suse.de
- chrooted scripts execution fixed
* Wed Jun 20 2007 ug@suse.de
- resue partition bug (#284102) fixed
* Mon Jun 18 2007 ug@suse.de
- rounding LVs to pesize
* Fri Jun  1 2007 ug@suse.de
- 2.15.11
* Fri Jun  1 2007 ug@suse.de
- fix for the reuse of LVM volumes
* Tue May 29 2007 ug@suse.de
- added command line interface for opening files
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Tue May 22 2007 ug@suse.de
- reactivate hardware detection during autoinstall
- 2.15.10
* Wed May 16 2007 ug@suse.de
- always remove the installation network
- 2.15.9
* Tue May 15 2007 ug@suse.de
- remove the installation network if there is no
  networking section in the profile
- 2.15.8
* Thu May 10 2007 ug@suse.de
- added UI for the <ask> section
* Mon Apr 23 2007 ug@suse.de
- added missing import
- 2.15.7
* Fri Apr 20 2007 ug@suse.de
- fix for EVMS creation (#266313)
* Thu Apr 19 2007 ug@suse.de
- document changed behaviour: where standard keys are missing in
  the global variables of the grub bootloader configuration in an
  autoyast profile, they will be added automatically now
* Thu Apr 19 2007 ug@suse.de
- 2.15.6
* Thu Apr 19 2007 ug@suse.de
- clone partitions more conservative (#262535)
* Wed Apr  4 2007 ug@suse.de
- profiles that are modified by <ask> can have
  pre-scripts and other <ask> sections now
* Tue Apr  3 2007 ug@suse.de
- the <ask> feature can execute scripts now
* Tue Apr  3 2007 ug@suse.de
- iSCSI boot: boot parameter 'withiscsi=1' does not have any
  effect with autoyast installation (#253432)
* Fri Mar 30 2007 ug@suse.de
- 2.15.5
* Mon Mar 26 2007 ug@suse.de
- removed DTD declaration from the newlycreated XML documents
* Mon Mar 26 2007 ug@suse.de
- multiple questions per dialog qith the <ask> feature
* Tue Mar 20 2007 ug@suse.de
- compatibility code to old profiles fixed
* Fri Mar 16 2007 ug@suse.de
- requires in spec file fixed
* Fri Mar 16 2007 ug@suse.de
- partition shrinking code fixed (space after shrink
  calculation was wrong)
- 2.15.4
* Wed Mar 14 2007 ug@suse.de
- "close small gap" code removed
  makes trouble on small harddisks
* Wed Mar  7 2007 ug@suse.de
- don't clone DELL utility partition
  (#247330)
* Mon Mar  5 2007 ug@suse.de
- auto-added boot partition code fixed (#246023)
* Fri Mar  2 2007 ug@suse.de
- schema file fixed (#187696)
* Thu Mar  1 2007 ug@suse.de
- allow empty partitioning section in RNC file
* Thu Mar  1 2007 ug@suse.de
- don't clone drives that contain no partitions with a
  mountpoint
* Mon Feb 26 2007 ug@suse.de
- signature-handling is less restrictive in a cloned profile
  (#248303)
* Thu Feb 22 2007 ug@suse.de
- the "ask" feature can not store the answer in a list
  (#247826)
* Tue Feb 20 2007 ug@suse.de
- don't turn off the mount point widget in the UI if create=false
* Thu Feb 15 2007 ug@suse.de
- 2.15.3
* Wed Feb 14 2007 ug@suse.de
- use the partition_id configured in the profile when
  reusing partitions
* Wed Feb 14 2007 ug@suse.de
- shrinking code fixed and warning added if partitions
  don't fit on disk (#245072)
* Wed Feb 14 2007 ug@suse.de
- some more "close window" does not work
  (#240631)
* Mon Feb 12 2007 ug@suse.de
- accept_non_trusted_gpg_key parameter added
  to signature handling (#242087)
* Thu Feb  8 2007 ug@suse.de
- don't clone extended partitions of partition type 5
  (#243063)
* Fri Feb  2 2007 ug@suse.de
- range oprator for rules fixed to include the borders
  of the range
* Fri Feb  2 2007 ug@suse.de
- popup added when the resolver run fails
* Thu Feb  1 2007 ug@suse.de
- packages that are required by yast modules and
  which are already installed, don't get installed again
* Thu Feb  1 2007 ug@suse.de
- some more "close window" was not catched situations
  fixed (#240631)
- 2.15.2
* Wed Jan 31 2007 ug@suse.de
- 2.15.1
* Wed Jan 31 2007 ug@suse.de
- "close window" was not catched in some dialogs (#240631)
* Tue Jan 23 2007 ug@suse.de
- cursor isn't shown over the default module
  category in "yast autoyast" (#188267)
* Mon Jan 22 2007 ug@suse.de
- missing bootable partition in autoinst.xml
  on PPC fixed (#192342)
* Thu Jan 18 2007 ug@suse.de
- compatibility fix for storage lib
* Wed Jan 17 2007 ug@suse.de
- empty partition list allowed via RNC now
* Tue Jan 16 2007 ug@suse.de
- device guessing code enhanced
* Fri Jan 12 2007 ug@suse.de
- Image Code fixed
* Thu Jan 11 2007 ug@suse.de
- flamethrower support dropped
* Thu Jan 11 2007 ug@suse.de
- ayast_setup client added
* Thu Jan 11 2007 ug@suse.de
- dtd files dropped
* Wed Jan 10 2007 ug@suse.de
- profile can be on a USB device now (fate #300579)
* Tue Jan  9 2007 ug@suse.de
- old rnc files dropped
* Mon Jan  8 2007 ug@suse.de
- fixed removing of packages via autoyast UI
  (#232506)
* Mon Jan  8 2007 ug@suse.de
- fixes in the software selection UI
  (#231687, #232434)
* Tue Dec 12 2006 ug@suse.de
- XML check during saving fixed (#227634)
* Thu Dec  7 2006 ug@suse.de
- 2.15.0
- schema updates
- DTD files dropped
* Wed Nov 15 2006 ug@suse.de
- rnc check disabled if jing is not installed (#214906)
- 2.14.15
* Mon Nov 13 2006 ug@suse.de
- 2.14.14
* Mon Nov 13 2006 ug@suse.de
- schema check for cloning after manual installation turned off
* Mon Nov 13 2006 ug@suse.de
- logical Volume creation fixed (#220322)
- schema files removed
* Mon Nov  6 2006 ug@suse.de
- 'remove-package' fixed (#183267)
- 2.14.13
* Tue Oct 31 2006 ug@suse.de
- turn off rnc check in stage cont
- 2.14.12
* Mon Oct 30 2006 ug@suse.de
- 2.14.11
* Wed Oct 18 2006 ug@suse.de
- fix in the partitioning dialog
* Wed Oct 18 2006 ug@suse.de
- minor changes in the software cloning
* Tue Oct 17 2006 ug@suse.de
- support for selections dropped
* Tue Oct 17 2006 ug@suse.de
- autoyast2-utils dropped
  (use inst-server-utils instead)
- 2.14.10
* Mon Oct 16 2006 ug@suse.de
- Signature checks turned off in UI
* Fri Oct 13 2006 ug@suse.de
- dropped some useless code in autopart.ycp
* Thu Oct 12 2006 ug@suse.de
- 2.14.9
* Wed Oct 11 2006 ug@suse.de
- compat fix for yast2-storage
* Tue Oct 10 2006 ug@suse.de
- proofreaded text
* Mon Oct  9 2006 ug@suse.de
- experimental imaging feature added
- strict schema check in cloning and saving added
- some schema updates
- 2.14.8
* Thu Sep 21 2006 ug@suse.de
- fix in partition edit dialog (#206681)
* Wed Sep 20 2006 ug@suse.de
- 2.14.7
* Mon Sep 18 2006 ug@suse.de
- a resource can turn off the logging of it's data from the
  profile for security reasons (Bug #192605)
* Fri Sep  8 2006 ug@suse.de
- 'halt' documented and added to UI
- schema fixes
* Tue Sep  5 2006 ug@suse.de
- reusing all 4 primaries fails (fixed)
* Mon Sep  4 2006 ug@suse.de
- order partitions alway by partition_nr
- schema files updated
* Thu Aug 31 2006 ug@suse.de
- 2.14.6
* Wed Aug 30 2006 ug@suse.de
- resize feature added (fate #301130)
* Mon Aug 28 2006 ug@suse.de
- reimport scripts after the ask dialog
- minor documentation updates
* Fri Aug 25 2006 ug@suse.de
- the <ask> feature can store the answer in a file now
* Thu Aug 24 2006 ug@suse.de
- error handling for ftp access fixed
- configure and install removed from the examples
* Thu Aug 24 2006 ug@suse.de
- "by-path" fixed for <device> configuration in
  partitioning (#200899)
* Thu Aug 17 2006 ug@suse.de
- partition sizes can be configured in %% now
* Wed Aug 16 2006 ug@suse.de
- fix for "<remove-packages> are cloned now"
- 2.14.5
* Wed Aug 16 2006 ug@suse.de
- 2.14.4
* Wed Aug 16 2006 ug@suse.de
- <remove-packages> are cloned now
* Fri Aug 11 2006 ug@suse.de
- reuse partitions in UI (#158855)
* Tue Aug  8 2006 ug@suse.de
- exclude partitions that are NOT supposed to be
  in the LVM/EVMS
* Wed Aug  2 2006 ug@suse.de
- scripts documentation fixed
* Wed Aug  2 2006 ug@suse.de
- device guessing code enhanced
* Fri Jul 14 2006 ug@suse.de
- typos fixed
- 2.14.3
* Fri Jul 14 2006 ug@suse.de
- 2.14.2
* Wed Jul 12 2006 ug@suse.de
- don't call the add-on_auto client in 2nd stage
  (#188665)
* Mon Jul 10 2006 ug@suse.de
- signature-handling added to UI (#187696)
* Fri Jul  7 2006 ug@suse.de
- fixed the pattern selection dialog when a add-on
  product was configured before (#187568)
* Thu Jul  6 2006 ug@suse.de
- inst-source and autoyast profile can be on the same
  partition now
* Thu Jun 29 2006 ug@suse.de
- don't ignore the <report> section during stage2
* Thu Jun 29 2006 ug@suse.de
- is_*_vg is deprecated now. Use <type> instead
- import_gpg_key added (merged from SLES10)
- compatibility code for old profiles is more robust now
  and can handle SLES9 / SLES10 mixed profiles
- 2.14.1
* Mon Jun 19 2006 ug@suse.de
- fix for <remove-package> in profile
  [#186205] and #183267
- 2.14.00
* Thu Jun  8 2006 ug@suse.de
- fixed boot partition on PPC (#178831)
- 2.13.67
* Tue Jun  6 2006 ug@suse.de
- verified fix for automagically added boot partitions
  (#178831)
- 2.13.66
* Thu Jun  1 2006 ug@suse.de
- fix for automagically added boot partitions (#178831) reloaded
- 2.13.65
* Thu Jun  1 2006 ug@suse.de
- retry fix for automagically added boot partitions (#178831)
- 2.13.64
* Thu Jun  1 2006 ug@suse.de
- fix for automagically added boot partitions (#178831)
- 2.13.63
* Mon May 29 2006 ug@suse.de
- better logging during cloning
- fix for pattern UI
- documentation fixed by odabrunz (#178831)
- 2.13.62
* Fri May 19 2006 ug@suse.de
- start_immediately is true per default now
  That raises the network up immediately after
  configuring it.
- 2.13.61
* Wed May 17 2006 ug@suse.de
- fixed rounding errors that can hit the
  "max" calculation for LV in an LVM or EVMS
- 2.13.60
* Tue May 16 2006 ug@suse.de
- fix for #174262 (conflict in software selection)
- fix for #175781
  after selecting patterns in autoyast, none show as
  being selected
- 2.13.59
* Fri May 12 2006 ug@suse.de
- fix for add-on product usage (#172837c#9)
- fix for cloning on PPC (#160606)
- 2.13.58
* Thu May  4 2006 ug@suse.de
- proof readed text
- 2.13.57
* Tue May  2 2006 ug@suse.de
- fixed Software selection in autoyast UI (#171309)
- 2.13.56
* Fri Apr 28 2006 ug@suse.de
- fixed package cloning on selection based systems
- 2.13.55
* Fri Apr 28 2006 ug@suse.de
- fixed package cloning on pattern based system
- 2.13.54
* Fri Apr 28 2006 ug@suse.de
- fixed primary partition cloning (#170597)
- 2.13.53
* Fri Apr 28 2006 ug@suse.de
- add-on products documentation added
- 2.13.52
* Wed Apr 26 2006 ug@suse.de
- signature-handling documentation added
* Tue Apr 25 2006 ug@suse.de
- signature-handling in cont stage fixed
- 2.13.51
* Tue Apr 25 2006 ug@suse.de
- signature handling fixed for second stage
- 2.13.50
* Mon Apr 24 2006 jsrain@suse.de
- fixed order of target and source initialization (#168734)
- 2.13.49
* Fri Apr 21 2006 ug@suse.de
- callbacks for signature checking added
- 2.13.48
* Fri Apr 21 2006 ug@suse.de
- fixed auto added partition on PPC
  (#160606)
- 2.13.47
* Wed Apr 19 2006 ug@suse.de
- create_package_descr updated
- 2.13.46
* Wed Apr 19 2006 ug@suse.de
- fixed using of the 'add_on_products'-file
- 2.13.45
* Tue Apr 18 2006 ug@suse.de
- fixed support for add-on products in
  create_update_source.sh
- 2.13.44
* Thu Apr 13 2006 ug@suse.de
- cloning individually selected packages if selections
  are in use
- 2.13.43
* Tue Apr 11 2006 ug@suse.de
- cloning encrypted partitions fixed
- 2.13.42
* Mon Apr 10 2006 ug@suse.de
- fixed the creation of encrypted partitions
- 2.13.41
* Fri Apr  7 2006 ug@suse.de
- cloning individually selected packages if patterns
  are in use correctly
- 2.13.40
* Wed Apr  5 2006 ug@suse.de
- Cloning EVMS fixed
- fixed a 'find' warining (#162725)
  in create_package_descr (thanx to hou ghi)
- 2.13.39
* Fri Mar 31 2006 ug@suse.de
- creating EVMS fixed (missing mountpoints)
- 2.13.38
* Wed Mar 29 2006 jsrain@suse.de
- fixed add-on products installation integration (#161792)
- 2.13.37
* Wed Mar 29 2006 ug@suse.de
- set SoftLock to avoid the installation of recommended
  patterns (#159466)
- 2.13.36
* Tue Mar 28 2006 ug@suse.de
- addon support dropped.
  In the current state, it breaks autoinstallation
- shrink partitions that are too big (#155911)
- set type to primary while cloning if needed
- 2.13.35
* Fri Mar 24 2006 ug@suse.de
- fixed partition id of /boot/efi
  must really be 259
- 2.13.34
* Wed Mar 22 2006 ug@suse.de
- merging is configureable now
- 2.13.33
* Tue Mar 21 2006 mvidner@suse.cz
- Moved online update code back from autoyast2 to
  yast2-online-update (#151213).
- 2.13.32
* Fri Mar 17 2006 ug@suse.de
- cloning of /boot/efi vfat works now (#155918)
- reset previous settings in software config in the UI
- code activated for Bug #82867 (device by udev-id)
- software configuration for selections fixed in UI
- 2.13.31
* Fri Mar 17 2006 jsuchome@suse.cz
- correct rug command to install patches (#149903)
* Wed Mar 15 2006 ug@suse.de
- mountby path and id implemented
- reuse by mountby fixed
- prepare the fix for #82867 - device 'by-id' instead by name
- 2.13.30
* Tue Mar 14 2006 ug@suse.de
- 2.13.29
* Tue Mar 14 2006 jsuchome@suse.cz
- online-update: install rug when automatic online-update is enabled
* Tue Mar 14 2006 ug@suse.de
- execute init scripts in a sorted order now
- patterns documented
* Thu Mar  9 2006 ug@suse.de
- pattern support for the UI
- 2.13.28
* Wed Mar  8 2006 ug@suse.de
- special merging for config_file and sysconfig_entry
- added patterns to the cloning code
- 2.13.27
* Wed Mar  8 2006 ug@suse.de
- first step of support for patterns during installation added
- 2.13.26
* Tue Mar  7 2006 ug@suse.de
- BuildRequires fixed
- 2.13.25
* Mon Mar  6 2006 ug@suse.de
- fixed the "ask" dialog for the "cont" stage
- 2.13.24
* Tue Feb 28 2006 ug@suse.de
- fixed #153950 (scripts in background don't work)
- 2.13.23
* Fri Feb 24 2006 ug@suse.de
- cloning 'mountby' fixed
- fixing the proposal for timezone (#148032)
- fixed compatibility code for country clients (#148032)
- 2.13.22
* Fri Feb 17 2006 ug@suse.de
- fix for "mountby label" (#150020)
- 2.13.21
* Fri Feb 17 2006 jsuchome@suse.cz
- added API for Online Update (#151213)
- 2.13.20
* Fri Feb 10 2006 ug@suse.de
- fixed #149658
  autoyast installation ends with no hard disks were found
  on s390
* Mon Feb  6 2006 ug@suse.de
- 'general' dialog in the UI updated
- partition dialog updated
- don't clone the region.
- added LVM and EVMS support to the UI
- 2.13.18
* Mon Jan 30 2006 ug@suse.de
- UI for scripts enhanced, so it supports all features
- 2.13.17
* Fri Jan 27 2006 ug@suse.de
- scripts can show feedback now
- 2.13.16
* Tue Jan 24 2006 ug@suse.de
- code cleanup
- partition docu enhanced
- one can clone a system more than one time·
  now with the UI
- proof readed texts
- 2.13.15
* Tue Jan 24 2006 mvidner@suse.cz
- Fixed rnc syntax errors that broke yast2-schema.rpm.
* Mon Jan 23 2006 ug@suse.de
- udev queue is active again, even with pre-script
* Mon Jan 23 2006 ug@suse.de
- reimport scripts section after pre-script
- RNC files updated
- documentation update
- fix filesystem_id, partition_id mixup
- 2.13.13
* Thu Jan 12 2006 ug@suse.de
- cloning LVM fixed
- cloning RAID fixed
- catching XML and transfer errors and show them in a popup
- 2.13.12
* Thu Jan  5 2006 ug@suse.de
- warn on packages that can't be found on inst-source
  with a popup
- check if the profile logic is okay or if important
  stuff is missing (like the root password)
  Bug #116098
- https scheme enabled. So the profile can be
  fetched of an encrypted channel
- 2.13.11
* Mon Dec 19 2005 ug@suse.de
- EVMS support added
- proof read texts
- 2.13.10
* Mon Dec 12 2005 ug@suse.de
- "ask" feature enhanced
- 2.13.9
* Mon Dec  5 2005 ug@suse.de
- "mountby" parameter implemented
- cleanup for the "clone system" checkbox
- "ask for certain values" feature implemented
  (feature #280)
- 2.13.8
* Tue Nov 29 2005 ug@suse.de
- PXE boot documentation added
- option to turn off autointallation in the second
  stage added
- yast2-x11 removed from build dependency
- 2.13.7
* Wed Nov 23 2005 ug@suse.de
- some software raid fixes
- 2.13.6
* Fri Nov 18 2005 ug@suse.de
- some documentation fixed
- cloning extended partitions fixed
- 2.13.5
* Wed Nov 16 2005 ug@suse.de
- clone_system client added
- 2.13.4
* Tue Nov 15 2005 ug@suse.de
- it's possible to change <general> section now via pre-script
- it's possible to override <confirm>no</confirm> via
  y2confirm on the linuxrc commandline
- create_update_source.sh added to utils package
- added some sections to the dontmerge parameter
- added the pre-probing stage (especially for s390)
- fixes for better support for the new language_auto client
  including more backward compatibility code
- 2.13.3
* Tue Nov  8 2005 ug@suse.de
- fixed Bug #104372
  language, timezone and keyboard use the
  official autoyast API now
- Documentation fixed, "configure" and
  "install" are documented as deprecated now
- Documentation fixed, "range" is documented now
- fixing #130140 reported for SLES9 but still valid
  classes repository location changes do not take effect
- matchtype "regex" added
- fixed the use of nested devices in autoyast=device://...
- fixing #130959 (merging fails).
  This might need some more work, to fix double entries too
- slight correction to the linuxrc stuff
  Bug #119977
- 2.13.2
* Mon Oct 10 2005 mvidner@suse.cz
- Install profile-misc.rnc
- Cut down partitioning.rnc to make it compile.
- 2.13.1
* Fri Sep 30 2005 ug@suse.de
- Added RNC for rules and classes
- If no repartitioning is need and just some
  partitions are formatted, autoyast fails.
  This should be fixed now.
- compatibility fix for new storage lib.
  Creating encrypted partitions is fixed now. (#118594)
- size=max is now possible for logical volumes
* Fri Sep 23 2005 mvidner@suse.cz
- use also the Relax NG schema for validation (xmllint and jing).
- RNC schema: added partitioning and reporting,
  moved nfs client and server to their packages.
- use @fillupdir@ to allow prefixed builds.
- 2.13.0
* Mon Sep 12 2005 ug@suse.de
- prevent trouble if one is doing partitioning
  in a pre-script. This can lead to trouble
  because of non existing devices (udev fiasco)
- 2.12.18
* Thu Sep  8 2005 ug@suse.de
- if one modifies the partition table in a pre script, we will
  recognize this now by rereading the partition table
- 2.12.17
* Thu Sep  8 2005 ug@suse.de
- hook to be compatibel with the autoyast
  documentation for reusing partitions
  create=false + partition_nr > 0 did not work
- 2.12.16
* Tue Sep  6 2005 ug@suse.de
- developer documentation added
- documentation fixed
- 2.12.15
* Mon Sep  5 2005 ug@suse.de
- compatibility fix for new storage library
  a missing filesystem type leads to reiserfs always.
  That's bad for a swap partition with new storage lib
- 2.12.14
* Fri Aug 26 2005 ug@suse.de
- compatibility fix for libsax
- ayast_probe.ycp client added
- 2.12.13
* Tue Aug 23 2005 ug@suse.de
- fix for compatibility with new storage lib
  (wipe out partition table was broken)
- Documentation update
- 2.12.12
* Fri Aug 19 2005 ug@suse.de
- pdf documentation added
- compatibility fix for new storage library
- UI shows the name of the current profile
- 2.12.11
* Wed Aug 17 2005 ug@suse.de
- compatibility to storage lib
  (type was missing in TargetMap)
- 2.12.10
* Tue Aug 16 2005 ug@suse.de
- harddisk autodetection now selectable in UI
- 2.12.9
* Tue Aug 16 2005 arvin@suse.de
- adapted partition_dialogs.ycp to new yast2-storage
- 2.12.8
* Mon Aug 15 2005 ug@suse.de
- missing images and stylesheet in docu fixed
- 2.12.7
* Fri Aug 12 2005 ug@suse.de
- compatibility fix in the UI for the timezone dialog
- 2.12.6
* Wed Aug 10 2005 ug@suse.de
- Fixes for compatibility to new storage library
- fix for flat profile
- 2.12.5
* Fri Jul 29 2005 jsrain@suse.cz
- added missing parameter to DlgCreateCryptFs function call
- 2.12.4
* Wed Jul 20 2005 jsrain@suse.cz
- stopped including non-existing file
- 2.12.3
* Mon Jul 18 2005 arvin@suse.de
- added yast2-storage-lib to neededforbuild
* Thu Jul 14 2005 ug@suse.de
- documentation enhanced/fixed
- fix for "new profile" in UI
- changes for new Storags Library code
* Tue May 17 2005 ug@suse.de
- merged some changes from 9.3 branch to HEAD
- 2.12.1
* Mon May 16 2005 jsrain@suse.cz
- renamed defult variable
- 2.12.0
* Thu Apr 28 2005 jsrain@suse.cz
- added clients for running scripts during inst_finish
* Mon Feb 21 2005 nashif@suse.de
- Fixed handling of using existing fstab for partitioning
- V 2.11.9
* Fri Feb 18 2005 nashif@suse.de
- Adapted spec file
- V 2.11.8
* Wed Feb 16 2005 nashif@suse.de
- Reworked partitioning
- Use more common functions from storage
* Mon Feb  7 2005 nashif@suse.de
- Merged proof-read texts
- 2.11.6
* Mon Feb  7 2005 nashif@suse.de
- Adapted language settings
- Disable X if not configured in control file
- 2.11.5
* Mon Jan 31 2005 nashif@suse.de
- Read module dependencies from desktop files
- 2.11.4
* Wed Jan  5 2005 jsrain@suse.cz
- adaped to new interface of Kernel.ycp
- 2.11.3
* Sun Nov 14 2004 nashif@suse.de
- Removed deprecated lookup/select.
* Wed Oct 27 2004 nashif@suse.de
- adapted to new Mode:: interface
- adapted documentation for new devtools
* Wed Oct 20 2004 nashif@suse.de
- Doc updates
* Mon Oct 11 2004 jsrain@suse.cz
- adapted to new Arch:: interface
* Wed Sep 29 2004 nashif@suse.de
- Import before Write when configuring users (#46335)
* Fri Sep 24 2004 nashif@suse.de
- Removed alice dependencies
- Import configuration into module when reading kickstart
  files
- Fixed rules, do not treat lvm and raid as harddisks
* Mon Sep 20 2004 nashif@suse.de
- install packages dependent on configuration in continue mode
- Fixed rules with a workarounf for the stack overflow bug
- Fixed dtd
* Mon Sep 13 2004 nashif@suse.de
- Fixed scripts client to not delete config when user changes data
- Fixed rules script
- 2.10.10
* Mon Sep  6 2004 visnov@suse.cz
- ComputeKernelPackages moved to Kernel.ycp
* Tue Aug 31 2004 nashif@suse.de
- merged proofread messages
* Tue Aug 31 2004 nashif@suse.de
- use modified flag (#43904) in auto clients
* Thu Aug 26 2004 nashif@suse.de
- Export and Import configurations globally and not on a module basis
- Improved configuration dialog in continue mode
* Tue Aug 24 2004 nashif@suse.de
- Added missing example
- Fixed makefile
* Tue Aug 24 2004 nashif@suse.de
- Fixed file retrieval per FTP
- Added schema files
* Wed Aug 11 2004 nashif@suse.de
- Fixed copying of files from NFS
* Tue Aug 10 2004 nashif@suse.de
- Remove obsolete file and functions
* Wed Jul 28 2004 nashif@suse.de
- Fixed stylesheets for doc generation
- Fixed default confirmation settings
- fixed wildcards in rules
- Fixed copying of scripts from an NFS location
- V 2.10.1
* Mon Jun  7 2004 nashif@suse.de
- Dont loop trying to copy non-existent control file (#41751)
* Mon Jun  7 2004 nashif@suse.de
- fixed setting of bootloader data in autoyast (#41681)
- V. 2.9.44
* Thu May 27 2004 nashif@suse.de
- Fixed images in documentation
* Thu May 27 2004 nashif@suse.de
-  Fixed Resetting of network data
* Thu May 27 2004 nashif@suse.de
- #41227: Use functions from yast2-bootloader when installatig
  bootloader
* Thu May 27 2004 nashif@suse.de
- #41018: Network access in post-scripts is now possible again. Post
  scripts can run in 3 possible spots: before installation network
  is shutdown, after autoyast configures the system and after
  SuSEconfig is run
* Mon May 24 2004 nashif@suse.de
- Fixed RAID cloning
- if rules.xml is found but no rules apply, use default rules (hexip,
  mac).
- doc updates
* Sat May 22 2004 nashif@suse.de
- Fixed Partition cloning
- Fixed LVM cloning
- Updated DTD
* Fri May 21 2004 nashif@suse.de
- Update DTD, Docs
- Fixed autoconf mode
* Thu May 13 2004 nashif@suse.de
- Update neededforbuild for docbook
* Thu May 13 2004 nashif@suse.de
- use stylesheets to generate html documentation during package
  build time
* Mon May 10 2004 nashif@suse.de
- documenation updates
- #40067: file open dialog doesn' t display all files
  (wrong type filter)
- set reporitng behavior in continue mode after setting defaults,
  not before.
- V 2.9.40
* Tue May  4 2004 nashif@suse.de
- merged proofread texts
- V 2.9.39
* Thu Apr 29 2004 nashif@suse.de
- lvm over raid syntax conversion fix (#39603)
- V 2.9.38
* Wed Apr 28 2004 nashif@suse.de
- convert lv filesystem type correctly (#39598)
* Tue Apr 27 2004 nashif@suse.de
- Add option to halt after first stage
- Set runlevel correctly when install over serial console
* Sun Apr 18 2004 nashif@suse.de
- Updated docs
- Use new icon for yast2 control center
* Sat Apr 17 2004 nashif@suse.de
- Translate internal desktop files (#38234)
* Sat Apr 17 2004 nashif@suse.de
- On IA64, always use /boot/efi as the boot partition (#36061)
* Wed Apr  7 2004 nashif@suse.de
- Use HWAddr instead of NetHWAddr (#38581)
* Mon Apr  5 2004 nashif@suse.de
- Use fallback kernels and use kernel computation function from
  yast2-packager
* Fri Apr  2 2004 nashif@suse.de
- Adapted to use new wizard
- Change license to GPL
* Fri Apr  2 2004 nashif@suse.de
- retrieve all cap mac address file  (#37980 )
- restart the control file retrieval process from scratch (#37980 )
* Thu Apr  1 2004 nashif@suse.de
- Fixed cloning: dont add evms, use mount points from
  Storage map. (#37931)
* Wed Mar 31 2004 nashif@suse.de
- Close dialog on cancel when importng files
* Mon Mar 29 2004 nashif@suse.de
- Enable auto option with swap on lvm
- Set lvm2 on PVs
- Set bootloader options correctly
* Fri Mar 26 2004 nashif@suse.de
- added missing textdomain
- updated DTD
- fixed creation of 4 primary partitions using partition_nr
* Sun Mar 21 2004 nashif@suse.de
- added support for remote scripts
- variable based rules
- disabled button in validity checks
- dont complain about space during partition plan creation
* Thu Mar 18 2004 nashif@suse.de
- Install LVM packages if LVM is configured
* Wed Mar 17 2004 nashif@suse.de
- Set runlevel correctly to prevent booting into runlevel 0 (#36130)
* Tue Mar 16 2004 nashif@suse.de
- Validity Checks
- Fstab handling improved with some additional options to prevent
  formatting of partitions with data
* Fri Mar 12 2004 nashif@suse.de
- Added wizard icons
- new option for partitioning (read_fstab ):
  Use partitioning data from fstab, dont create partitions, just
  format them and mount them
- Image support. Use flamethrower as image server. Implemented
  flamethrower  client in ycp
- Show name of control file being retrieved
- Other fixes..
* Wed Mar 10 2004 nashif@suse.de
- Read data from desktop files correctly. Especially for
  resource!= client cases
* Wed Mar 10 2004 nashif@suse.de
- Workaround for new wizard
* Mon Mar  8 2004 nashif@suse.de
- Use Sequencer and simplified main interface
* Mon Mar  8 2004 nashif@suse.de
- Add generated docs to CVS
- removed doc tar
- install all documents
- 2.9.22
* Sun Mar  7 2004 nashif@suse.de
- Revert last change
- 2.9.21
* Fri Mar  5 2004 nashif@suse.de
- Install auto generated docs
- 2.9.20
* Fri Mar  5 2004 nashif@suse.de
- stricter type checking
- Fixed alice import
- use Pkg::SetAdditionalLocales.
- 2.9.19
* Tue Mar  2 2004 nashif@suse.de
- Removed EXTRA_PROV files, not on the CD
* Tue Mar  2 2004 nashif@suse.de
- Type info fixes
- dont export unsupported kickstart options
- fixed storage configuration
- dtd updates
- doc updates
- 2.9.17
* Tue Feb 24 2004 nashif@suse.de
- Re-enabled LVM and RAID
- Fixed Types
- 2.9.16
* Mon Feb 23 2004 nashif@suse.de
- Use new kernel names
- 2.9.15
* Thu Feb 19 2004 mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch to std::sort
* Thu Feb 19 2004 nashif@suse.de
- Renamed clients, following naming conventiosn for auto and
  installation clients
* Mon Feb 16 2004 nashif@suse.de
- removed usage of variable hardBoot -> obsolete.
- 2.9.11
* Tue Feb 10 2004 nashif@suse.de
- Fixed variable reading from desktop files
- 2.9.10
* Tue Feb 10 2004 nashif@suse.de
- Use desktop file variables
- 2.9.9
* Tue Feb 10 2004 nashif@suse.de
- Fixes for new interpreter
- doc updates
- 2.9.8
* Sun Feb  8 2004 nashif@suse.de
- Fixes for new interpreter
- 2.9.7
* Sun Feb  1 2004 nashif@suse.de
- Fixes for new interpreter
- 2.9.6
* Sun Feb  1 2004 nashif@suse.de
- more fixes for new interpreter
- keep url for control file as, just modify path when necessary.
- 2.9.5
* Sat Jan 31 2004 arvin@suse.de
- moved module AutoinstConfig to autoyast2-installation package
* Wed Jan 28 2004 nashif@suse.de
- moved monitor configuration to x11
* Mon Jan 19 2004 nashif@suse.de
- improved kickstart import
- Fixed misc. dialogs
* Sun Nov 30 2003 nashif@suse.de
- New Interpreter Changes
- User Desktop files instead of y2cc
* Thu Sep 18 2003 nashif@suse.de
- Fixed #31233: creating a cryptofs fails
* Wed Sep 17 2003 nashif@suse.de
- Close installation source before post-scripts to allow installation
  of custom packages during autoinstall (#31172)
- 2.8.13
* Wed Sep 17 2003 nashif@suse.de
- Updated docs
- Updated EXTRA_PROV
- Fixed bug when reusing non-neighbouring partitions
- Fixed bug where autoyast loads html file of directory contents
  on web server
- 2.8.12
* Sat Sep 13 2003 nashif@suse.de
- #30678: Moved inst_startup from general workflow to autoinst_init
- Added basic yast2 module dependency sorting to fix some issues
  with late user creation and network dependencies
* Mon Sep  8 2003 nashif@suse.de
- Dont set package selection Minimal when cloning (#29450 )
- Doc updates
- 2.8.10
* Tue Sep  2 2003 nashif@suse.de
- Fixed post-installation: Data of several modules was overridden.
- Fixed partitioning: Some rare scnarios with raid not being deleted
- 2.8.9
* Mon Sep  1 2003 arvin@suse.de
- use Popup::ConfirmAbort
* Thu Aug 21 2003 nashif@suse.de
- Added autoinst_post.ycp for additional packages required by yast2
  modules
* Mon Aug 18 2003 nashif@suse.de
- Added remove-packages feature for removing automatically selected
  packages
* Fri Aug 15 2003 nashif@suse.de
- Fixed bug #28797: /var/lib/autoinstall is not owned by
  autoyast2-installation
- Fixed bug #28928: /tmp/profile should not be created on system
* Tue Aug 12 2003 nashif@suse.de
- Dont not build docs
- 2.8.5
* Mon Aug 11 2003 nashif@suse.de
- Merged proof read meassages
- 2.8.4
* Wed Aug  6 2003 nashif@suse.de
- Add option to modify control file during installation and reload
  it after pre script is executed
* Mon Aug  4 2003 nashif@suse.de
- Adapt to new yast2 types for ip configuration
- 2.8.3
* Tue Jul 29 2003 nashif@suse.de
- doc updates
- with complete files one can run a script and set permissions of
  files
- 2.8.2
* Sat Jul  5 2003 nashif@suse.de
- allow keeping lvm logical volumes
- allow resizing of lvm lvs
* Wed Jun 11 2003 nashif@suse.de
-added dialog for optoinal hd selection during installation
-fixed file list
* Thu Jun  5 2003 nashif@suse.de
- LVM improvements
- Make LVM part of partitioning resource
* Sat May 17 2003 nashif@suse.de
- fixed perl script execution
- #26859: create /boot with ext3 via autoyast
- remove useless test cases
- 2.8.0
* Mon Mar 17 2003 nashif@suse.de
- #25446: Read control file from CD-ROM if not mounted
- Copy media file to create ISO image
- Copy class directory to ISO
- return false and not `abort on errors
- updated docs
- 2.7.18
* Fri Mar 14 2003 nashif@suse.de
- updated docs
* Thu Mar 13 2003 nashif@suse.de
- updated EXTRA_PROV to latest 8.2 status: #25286
* Wed Mar 12 2003 nashif@suse.de
- Start portmap if profile is on NFS (#25132)
- Handle plural messages (#24966)
- 2.7.16
* Wed Mar 12 2003 mvidner@suse.de
- Fixed translating menu tree items and summary captions (#25142).
- Added autoinst_modules.conf to POTFILES (#25136).
* Mon Mar 10 2003 nashif@suse.de
- doc updates and fixes
- better error handling (refixed #24795)
- Set RAID size correctly
- 2.7.15
* Fri Mar  7 2003 nashif@suse.de
- #24795: Fixed error dialog, when profile is missing on remote server
- #24769: wrong partition id for swap
- doc fixes, added missing images
- 2.7.14
* Tue Mar  4 2003 nashif@suse.de
- Avoid resetting of initrd modules list during bootloader import (#24380)
- Move initialization of disk to inst_prepdisk (#23607 )
- 2.7.13
* Mon Mar  3 2003 nashif@suse.de
- Fixed cloning (#24536 )
- Doc updates
- Fixed File dialog popups (#24304)
- Updated XML list names
- 2.7.12
* Mon Feb 24 2003 nashif@suse.de
- install alice-compat only when needed
- improved kickstart/alice import
- Completed full Compatibility to kickstart partition size options
- Fixed package selection dialogs
- doc updates
- 2.7.11
* Thu Feb 20 2003 nashif@suse.de
- adapted spec file
- use PkgInstall to tag package as selected by user
- various fixes
- 2.7.10
* Tue Feb 18 2003 nashif@suse.de
- Fixed bug #23746: saving files now works in text mode
- Read y2cc files in normal mode (Cloning)
* Tue Feb 18 2003 nashif@suse.de
- added missing file to spec
- doc updates
- custom rules using scripts
- 2.7.9
* Tue Feb 18 2003 nashif@suse.de
- More doc updates
- ask when initializing disk if confirm is true
- 2.7.8
* Fri Feb 14 2003 nashif@suse.de
- Docuemntation upodates
- Various fixes
- Software selection
- Added config file autoyast2-installation
- 2.7.7
* Mon Feb 10 2003 nashif@suse.de
- Changed sub-module naming scheme
- Docuemntation upodates
- Partitioning improvements
- 2.7.6
* Tue Feb  4 2003 nashif@suse.de
- Improved cloning
- Fixed ISO creation
- Text fixes
- 2.7.5
* Tue Jan 28 2003 nashif@suse.de
- Bootloader cloning
- Various dialog fixes
- 2.7.4
* Mon Jan 27 2003 nashif@suse.de
- Fixed dialogs and some workflow issues
- Reintegrated classes
- 2.7.3
* Fri Jan 24 2003 nashif@suse.de
- Fixed #23024: Missing call for Profile module
- Fixed various missing variables
- Added support for disksize rule
- refined repartitioning
- 2.7.2
* Tue Jan 21 2003 nashif@suse.de
- New interface with a simple menu system
- Retrieve control files depending on pre-defined and user defined
  rules
- Merge Profiles on the fly and during installation
- Reworked ISO creation process
- Use Package selector for software configuration
- New external module calling scheme
- Advanced partitioning improved and extended
  * Reuse partitions without formatting
  * Destroy LVM volumes
- Clone basic data (network, authentication etc.)
- Integrated more YaST2 modules
- 2.7.1
* Thu Nov 14 2002 nashif@suse.de
- Put prepared docs into a tar
- Merge bug fixes from 8.1
- 2.7.0
* Wed Oct 30 2002 nashif@suse.de
- Fixed bug #21409: On SLES/UL install defaults to lilo
* Mon Oct 28 2002 nashif@suse.de
- Fixed bug #21359: extended partitions with id 15 are not created
  when cloning
* Sun Oct 27 2002 nashif@suse.de
- Fixed bug #20732: Dont use /tmp for writing files with fixed name.
* Mon Oct 21 2002 nashif@suse.de
- Fixed bug #21142: remove one option from xsltproc command when merging
  classes.
- 2.6.36
* Thu Oct  3 2002 nashif@suse.de
- sysconfig variables default to empty string and not 'dummy' (bug #20619)
- Dont check for path of source if only reading package source data (bug #20620)
- dont merge packages, addons (bug #20622)
- fixed typo while checking for start_x11 (bug #20621)
- DTD updates/fixes
- Restore Next button in classes
- added some packages to needeforbuild to convert screenshots
- verify that class names do not contain spaces (bug #20621)
* Wed Sep 25 2002 nashif@suse.de
- Do not allow spaces in class names
- added one more missing file to spec
- 2.6.34
* Tue Sep 24 2002 nashif@suse.de
- Fixed: Add nfs packages if NFS is configured
- Fixed: Copy package database to correct path of ISO skeleton
- Cache selection data instead of quering database twice
- Added missing configuration file to spec
* Tue Sep 17 2002 nashif@suse.de
- doc updates
- fixed #19778: Interactive mode is default, user must change this to have fully
  automated installtion. This prevented kernel from being installed if <mode> was not
  declared.
* Thu Sep 12 2002 nashif@suse.de
- Do not create installation source caches here, instead use source
  manager.
- 2.6.32
* Tue Sep 10 2002 nashif@suse.de
- updated docs
- updated dtd
- added missing y2cc file to spec
- 2.6.31
* Mon Sep  9 2002 nashif@suse.de
- provide internal packages (kernel etc) early as Proposal might not
  have been called
- doc updates
- dtd updates
- 2.6.30
* Mon Sep  9 2002 nashif@suse.de
- added and updated DTD files
- fixed configuration of X11
- 2.6.29
* Mon Sep  9 2002 nashif@suse.de
- delete custom scripts correctly
* Sun Sep  8 2002 nashif@suse.de
- reduce logging
- fixed fstab options in partitioning dialog
- new control file resets old data
- 2.6.28
* Sat Sep  7 2002 nashif@suse.de
- Fixed writing of XML files needed for classes (#18865).
- 2.6.27
* Sat Sep  7 2002 nashif@suse.de
- updated docs
- added latest create_package_descr and needed files
- check for errors and abort if something goes wrong during installation
- adapted spec file with new files
- 2.6.26
* Sat Sep  7 2002 mvidner@suse.cz
- Include /etc/autoinstall/ (#18865).
- 2.6.25
* Fri Sep  6 2002 nashif@suse.de
- Fixed to create ISO images again, using latest package manager rlease
- 2.6.24
* Thu Sep  5 2002 nashif@suse.de
- fixed error dialog for unsupported protocols for control file location
- set scheme to floppy if file found on floppy
- 2.6.23
* Wed Sep  4 2002 nashif@suse.de
- added more list names in generated xml files
- Fix creation of extended partitions when only partition_id is known
  (for Restore module)
- Fix x11 data configuration (start_x11 was not configured)
- 2.6.22
* Tue Sep  3 2002 nashif@suse.de
- fixed hardware clock settings
- more adaptions to package manager
- partition table sorting fixes
- 2.6.21
* Mon Sep  2 2002 nashif@suse.de
- update docs
- added autoconf for configuring already installed systems
- RAID fixes
- 2.6.20
* Thu Aug 29 2002 nashif@suse.de
- delete runme_at_boot in second stage
- Fixed setting of language and timezone
- write displaymanager values only if X is available
- hwclock is not boolean when importing kickstart files
- 2.6.19
* Wed Aug 28 2002 nashif@suse.de
- remove checking for X11
- set locale for package manager
- doc updates
- 2.6.18
* Tue Aug 27 2002 jsuchome@suse.cz
- provide/obsolete old translation packages
* Tue Aug 27 2002 nashif@suse.de
- fixed return value from main menu
- 2.6.17
* Tue Aug 27 2002 fehr@suse.de
- add change necessary due to change in auto_part_create.ycp of
  storage module.
* Tue Aug 27 2002 nashif@suse.de
- commit software selections
- adapted ISO creation to new CD layout
- 2.6.16
* Mon Aug 26 2002 nashif@suse.de
- partitioning fixes
- 2.6.15
* Sun Aug 25 2002 nashif@suse.de
- fixed progress bar ordering
- control file can now be stored on a storage device
- fixed error dialog
* Wed Aug 21 2002 nashif@suse.de
- adaptions to new packager (installer only)
- partitioning fixes
- V 2.6.14
* Mon Aug 19 2002 nashif@suse.de
- bug #17801 fixed: Added PreReq
- doc updates
- bootloader fixes (now taking grub into account)
- post installation now works again
* Wed Aug 14 2002 nashif@suse.de
- fixed packages needed for build
- misc doc updates
- actiavte dead buttons
- proof-read texts for translation
- 2.6.12
* Mon Aug 12 2002 nashif@suse.de
- sysconfig variable configuration
- kernel module configuration
- 2.6.11
* Tue Aug  6 2002 nashif@suse.de
- Fixed package selection in when cloning
- Partitioning updates
- 2.6.10
* Mon Aug  5 2002 nashif@suse.de
- More adaptions to latest yast2 state
- doc updates
- added support for configuration options (nfs_server)
- 2.6.9
* Mon Jul 29 2002 nashif@suse.de
- RAID support added
- LVM improvements and rewrite
- Kickstart import imporovements
- 2.6.8
* Tue Jul 23 2002 nashif@suse.de
- help text fixes & updates
- Kickstart/Alice Import improvments
- 2.6.7
* Mon Jul 22 2002 nashif@suse.de
- doc updates
- create ISO
- workflow fixes
- partitioning enhancements
- 2.6.6
* Mon Jul 15 2002 nashif@suse.de
- doc changes
- readded X11 configuration (WOP)
- added more help texts
- Added more summaries
- Fixed post-install part
- 2.6.5
* Fri Jul 12 2002 arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
- 2.6.4
* Sat Jul  6 2002 nashif@suse.de
- Alice import improvements
- Import redhat kickstart files
- Changed package dependencies
- 2.6.3
* Thu Jul  4 2002 nashif@suse.de
- Created package with new dev tools
- 2.6.2
* Wed Jul  3 2002 nashif@suse.de
- Merged yast2-config-autoinst and yast2-module-autoinst
- Alice Configuration Imports
- Linuxrc Options and 'info' file creation
- Adaption to new structure of yast2
* Wed May 29 2002 nashif@suse.de
- Run post-install depending on installed modules
- Use yast2-lib-xml instead of using XML agent directly
- Improved automated partitioning
- Rely on yast2-lib-network instead of custom code
* Wed Apr 17 2002 nashif@suse.de
- fixed parsing of command line parameters, now also parse port number
  and handle colon in url
- In failure pop-up default to previously selected protocol
* Wed Mar 27 2002 nashif@suse.de
- Through fix for #15430, runme_at_boot is not deleted in autoinst mode (inst_root is
  not called in autoinst mode). Remove runme_at_boot here
* Wed Mar 27 2002 nashif@suse.de
- handle default behaviour (distinguish between medium root and installation
  root)
* Tue Mar 26 2002 nashif@suse.de
- If a file referenced with file:// is not found on source medium, try to find it
  relative to the mount root/installation system
* Mon Mar 25 2002 nashif@suse.de
- Fixed bug: Copy control file if specified with file:// from the right
  source location
- Fixed bug: return error if control file not found with file://
- indent code
- doc updates
* Tue Mar 19 2002 nashif@suse.de
- finalized documentation
- default pesize for LVM is 4M and not 0
- bug #15082: Added call for missing printconf in post-intallation
* Fri Mar 15 2002 nashif@suse.de
- Fixed bug #15005: Use /var/adm/autoinstall/logs instead of
  /var/adm/autoinstall/inst-logs for logging output of post scripts
- Documentation updates
- 2.5.18
* Mon Mar  4 2002 nashif@suse.de
- Doc updates
- 2.5.17
* Mon Mar  4 2002 nashif@suse.de
- added md5 support (bug #13250)
- added reboot options to force reboot after auto-installation
- Fixed problem with profile retrieval where functions returned false
  when they had to return true!
- use profile as id for sgml references instead of default one
* Thu Feb 28 2002 nashif@suse.de
- Fixed bug#14084
* Thu Feb 28 2002 nashif@suse.de
- Set the langauge correctly using the Language module
- Added debug messages in setup client
- Removed unused User module from autoinst_setup
- doc updates
* Tue Feb 26 2002 nashif@suse.de
- use Language::language instead of Installation::Language
- Set selection to Minimal if nothing is declared
- Check for configured X11 correctly
* Tue Feb 19 2002 nashif@suse.de
- use network data from installMap instead of scr
- doc updates
* Wed Feb 13 2002 nashif@suse.de
- doc updates
- completed feature to have complete conf files which
  can be copied anywhere in the installed system
- completed feature to add any sysconfig variable given the path, key
  and value
- script directories are now created in the spec file
* Tue Feb 12 2002 nashif@suse.de
- Create only selected partitions, if specified in control file
- 2.5.15
* Mon Feb 11 2002 nashif@suse.de
- doc updates
- configure runlevel, inetd
- 2.5.14
* Tue Feb  5 2002 nashif@suse.de
- Updated documentation. now with a reference
- 2.5.13
* Mon Feb  4 2002 nashif@suse.de
- Fixed documentation and images
- 2.5.12
* Mon Feb  4 2002 nashif@suse.de
- Partitioning modifications
- Code cleanup
- 2.5.11
* Mon Jan 28 2002 nashif@suse.de
- X11 configuration updates
- Package selection updates
- Bootloader configuration finalized
- 2.5.10
* Fri Jan 25 2002 nashif@suse.de
- Option to initialize disks added
- Removed dependency on XML agent
- Updated docs
* Mon Jan 21 2002 nashif@suse.de
- Adapted to latest version of YaST2
- non-SuSE package handling
- Post-install improvements( Mail)
- preview version
* Tue Jan 15 2002 nashif@suse.de
- Handle packages in package module
- Fixed Makefile.am for documentation
- Mail directive parsing improvements
* Mon Jan 14 2002 nashif@suse.de
- SGML Documentation
- control file changes (report directive )
* Mon Jan 14 2002 nashif@suse.de
- X11 Support
- Various post-install additions (nis, nis+, mail, security etc.)
- XML Parser improvements
* Tue Jan  8 2002 nashif@suse.de
- Added LVM Support
- Execute user-defined scripts before system first boot
- Make all the way to the login prompt :-)
* Thu Jan  3 2002 nashif@suse.de
- Split module to installation and configuration parts
* Mon Nov 19 2001 nashif@suse.de
- Fix lookup defaults
* Mon Oct 22 2001 nashif@suse.de
- initial version
